<!DOCTYPE html>
<!-- [QPRTemplateStart: actioncallview.tpl] --> 
<html>
<head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <#stylesheet>

<script type="text/javascript">
var g_resultHandler = null;

function isActionCallView()
{
  return true;
}

function callFunction(actionURL, resultHandler)
{
  // Ignore further calls until the result for the previous call is received
  if (g_resultHandler)
    return; 

  // Make the call
  g_resultHandler = resultHandler;

  oGetWorkerFrame().src = actionURL;
}

function callFunctionPost(actionURL, vsParams, resultHandler)
{
  // Ignore further calls until the result for the previous call is received
  if (g_resultHandler)
    return; 

  // Make the call
  g_resultHandler = resultHandler;

  var oForm = $('#submiturlform');
  if (oForm) 
    oForm.remove();

  oForm = $('<form/>')
    .attr('method', 'POST')
    .attr('id', 'submiturlform')
    .attr('target', '<#WorkerFrameName>')
    .attr('action', actionURL)
    .css('display', 'none')
    .appendTo($('body'));

  var slParams = vsParams.split('&');
  for (var i=0; i < slParams.length; i++) {
    var slParam = slParams[i].split('=');
    $('<input/>')
      .attr('type', 'HIDDEN')
      .attr('name', slParam[0])
      .attr('id', slParam[0])
      .attr('value', slParam[1])
      .appendTo(oForm);
  }

  // submit
  oForm.submit();
}

function callResult(result, data) 
{ 
  // Call the client specified result handler function
  // Set the result handler to null so that the callback function can send another request right away
  var callback = g_resultHandler;
  g_resultHandler = null;
  // callback may not be defined if user returns to this view using the back button
  if (callback)
    callback(result, data);
}

function refreshBookmarks()
{
  if(oGetUserFrame().refreshBookmarks)
    oGetUserFrame().refreshBookmarks();
}

function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
{
  if(oGetUserFrame().bGetBasketItems)
    return oGetUserFrame().bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem);
  return false;
}

function oGetUserFrame()
{
  return document.getElementById("<#UserFrameName>");
}

function oGetWorkerFrame()
{
  return document.getElementById("<#WorkerFrameName>");
}

function sGetViewName()
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetViewName)
    return oUserFrame.sGetViewName();
}

function sGetCommonToolbarHTML() 
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetCommonToolbarHTML) {
    return(oUserFrame.sGetCommonToolbarHTML());
  }
}

function sGetLocalToolbarHTML() 
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetLocalToolbarHTML) {
    return(oUserFrame.sGetLocalToolbarHTML());
  }
}

function sGetHeaderViewLeftHTML() 
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetHeaderViewLeftHTML) {
    return(oUserFrame.sGetHeaderViewLeftHTML());
  }
}

function sGetHeaderViewRightHTML() 
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetHeaderViewRightHTML) {
    return(oUserFrame.sGetHeaderViewRightHTML());
  }
}

function sGetHelpFile()
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetHelpFile) {
    return(oUserFrame.sGetHelpFile());
  }
}

function UpdateInformationViewToolbars(vbUnload)
{
  try {
    var undefined;
    if ((parent != null) && (parent != window) && (parent.UpdateInformationViewToolbars != null) && (parent.UpdateInformationViewToolbars != undefined))
      parent.UpdateInformationViewToolbars(vbUnload);
    }
  catch (e) {
  }
}    

function sGetViewId()
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && oUserFrame.sGetViewId) {
    return oUserFrame.sGetViewId();
  }
}

function bOpenPrintView(vsPrintViewURL)
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && bExists(oUserFrame.bOpenPrintView))
    return oUserFrame.bOpenPrintView(vsPrintViewURL);
}

function submitPGSCParameters(vsParams)
{
  var oUserFrame = oGetUserFrame();
  if (oUserFrame && bExists(oUserFrame.submitPGSCParameters))
    return oUserFrame.submitPGSCParameters(vsParams);
}

function closeWindow() { window.close(); }
</script>
</head>

<body style="width: 100%; height: 100%; overflow: hidden;">
  <iframe id="<#UserFrameName>" src="<#ActionUserView>" style="position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; overflow: hidden; border: 0px" frameBorder="0"></iframe>
  <iframe id="<#WorkerFrameName>" name="<#WorkerFrameName>" src="<#EmptyPage>" style="display: none;" frameBorder="0"></iframe>
</body>
</html>
<!-- [QPRTemplateEnd: actioncallview.tpl] -->
