<!-- [QPRTemplateStart: jsactiontypes.tpl] -->
<script type="text/javascript">
var _arActionTypes = new Array();

function ActionType(viId, vsName, vsPluralName, vsTags, vbHiddenActionType, vsAttributeStyles, vsIconUrl)
{
  this.piId = viId;
  this.psName = vsName;
  this.psPluralName = vsPluralName;
  this.psTags = vsTags;
  this.pbIsHiddenActionType = vbHiddenActionType;
  this.poAttributeStyles = vsAttributeStyles;
  this.psIconUrl = vsIconUrl;
  _arActionTypes.push(this);
  if ((typeof(_iAssociationTypeId) != "undefined") && (viId == _iAssociationTypeId))
    _oActionType = this;
}
  
function NewActionType(viId, vsName, vsPluralName, vsTags, vbHiddenActionType, vsAttributeStyles, vsIconUrl)
{
  new ActionType(viId, vsName, vsPluralName, vsTags, vbHiddenActionType, vsAttributeStyles, vsIconUrl);
}

function ApplyAttributeStyles(voStyles)
{
  if (!voStyles)
    return;

  ApplyAttributeStyleFunction(voStyles, "readonly", function (voSet) {
    voSet.find("select").each(function () {
      // Selects don't have readonly-attribute. 
      // Disable select and create corresponding hidden input field in order to submit the value even if the actual control is disabled.
      $(this).attr("disabled", "disabled");
      $(this).parent().append($("<input>")
        .attr("type", "hidden")
        .attr("name", $(this).attr("name"))
        .val($(this).val()));
    });
    voSet.find("input,textarea").attr("readonly", "readonly");
    voSet.find(":checkbox,:radio,:submit,:button,:password").attr("disabled", "disabled");
  });

  ApplyAttributeStyleFunction(voStyles, "hidden", function (voSet) {
    voSet.css("display", "none");
    voSet.addClass("DetailsPaneExclude");
  });

  function arGetOptionStringValues(voStyle, vsOptionStringAttribute)
  {
    var arResult = [];
    var olAttributes = voStyle ? voStyle.split(",") : [];
    $.each(olAttributes, function (viIndex, vsAttribute) {
      var arParts = vsAttribute.split(".");
      if ((arParts.length == 2) && (arParts[0].toLowerCase() === vsOptionStringAttribute))
        arResult[arResult.length] = sConvertToScriptName(arParts[1].toLowerCase());
    });
    return arResult;
  }
  
  $(".OptionStringEditor").each(function () {
    var sAttribute = $(this).closest("tr").attr("id").toLowerCase();
    var arHiddenAttributes = arGetOptionStringValues(voStyles["hidden"], sAttribute);
    if (arHiddenAttributes && (arHiddenAttributes.length > 0)) {
      $(this).children("option").each(function () {
        var sValue = $(this).val();
        if ($.inArray(sConvertToScriptName(sValue.toLowerCase()), arHiddenAttributes) != -1)
          $(this).remove();
      });
    }
  });
}

function ApplyAttributeStyleFunction(voStyles, vsStyle, vFunction)
{
  var olAttributes = voStyles[vsStyle] ? voStyles[vsStyle].split(",") : [];
  $.each(olAttributes, function (viIndex, vsAttribute) {
    var arParts = vsAttribute.split(":");
    if ((arParts.length == 2) && (arParts[0].toLowerCase() === "group")) {
      var oSet = $("#" + arParts[1] + ".DetailsPanePage,#" + arParts[1].toLowerCase() + ".DetailsPanePage" +
                      ", #" + arParts[1] + ".PropertyFormGroupWrapper,#" + arParts[1].toLowerCase() + ".PropertyFormGroupWrapper");
      vFunction(oSet);
    }
    else {
      var oSet = $("tr#" + vsAttribute + ",tr#" + vsAttribute.toLowerCase());
      vFunction(oSet);
    }
  });
}

<#ActionTypes>
</script>
<!-- [QPRTemplateEnd: jsactiontypes.tpl] -->
