<!DOCTYPE html>
<!-- [QPRTemplateStart: actionanalysishierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  var _sViewTemplate = "actionbytimeview.tpl";

  function OpenDateLink(vsId, viEarliestDate, viLatestDate)
  {
    var sParams = "VID=" + vsId;
    if (viEarliestDate) {
      var dtEarliestDate = new Date(viEarliestDate);
      sParams += "&" + ACT_PARAM_AT_EARLIEST + "=" + dtEarliestDate.getFullYear() + "." + (dtEarliestDate.getMonth() + 1) + "." + dtEarliestDate.getDate();
    }
    if (viLatestDate) {
      var dtLatestDate = new Date(viLatestDate);
      sParams += "&" + ACT_PARAM_AT_LATEST + "=" + dtLatestDate.getFullYear() + "." + (dtLatestDate.getMonth() + 1) + "." + dtLatestDate.getDate();
    }
    OpenActionLink('', vsId, sParams);
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  var iMillisecondsInADay = 1000 * 60 * 60 * 24;
  var dtNow = new Date();
  dtNow.setHours(0);
  dtNow.setMinutes(0);
  dtNow.setSeconds(0);
  dtNow.setMilliseconds(0);
  var iDayOfWeek = dtNow.getDay() - 1;
  if (iDayOfWeek < 0)
    iDayOfWeek += 7;
  var iYear = dtNow.getFullYear();
  var iMonth = dtNow.getMonth();
  var iDate = dtNow.getDate();
  var iQuarter = parseInt(iMonth / 3);
  
  var dtEarliest = dtNow;
  var dtLatest = new Date(dtNow.getTime() + iMillisecondsInADay);
  var sURL = 'javascript:OpenDateLink(\'today\', ' + dtEarliest.getTime() + ', ' + dtLatest.getTime() + ')';
  AddNormalNode("today", "<#LocalizedText id="Today">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");
 
  dtEarliest = new Date(dtNow.getTime() - iDayOfWeek * iMillisecondsInADay);
  dtLatest = new Date(dtEarliest.getTime() + 7 * iMillisecondsInADay);
  var sURL = 'javascript:OpenDateLink(\'this_week\', ' + dtEarliest.getTime() + ',' + dtLatest.getTime() + ')';
  AddNormalNode("this_week", "<#LocalizedText id="This week">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  dtLatest = dtEarliest;
  dtEarliest = new Date(dtLatest.getTime() - 7 * iMillisecondsInADay);
  var sURL = 'javascript:OpenDateLink(\'last_week\', ' + dtEarliest.getTime() + ',' + dtLatest.getTime() + ')';
  AddNormalNode("last_week", "<#LocalizedText id="Last week">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  dtEarliest = new Date(iYear, iMonth);
  if (iMonth == 11)
    dtLatest = new Date(iYear + 1, 0);
  else
    dtLatest = new Date(iYear, iMonth + 1);
  var sURL = 'javascript:OpenDateLink(\'this_month\', ' + dtEarliest.getTime() + ',' + dtLatest.getTime() + ')';
  AddNormalNode("this_month", "<#LocalizedText id="This month">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  dtEarliest = new Date(iYear, iQuarter * 3);
  if (iQuarter == 3)
    dtLatest = new Date(iYear + 1, 0);
  else
    dtLatest = new Date(iYear, (iQuarter + 1) * 3);
  var sURL = 'javascript:OpenDateLink(\'this_quarter\', ' + dtEarliest.getTime() + ',' + dtLatest.getTime() + ')';
  AddNormalNode("this_quarter", "<#LocalizedText id="This quarter">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  dtEarliest = new Date(iYear, 0);
  dtLatest = new Date(iYear + 1, 0);
  var sURL = 'javascript:OpenDateLink(\'this_year\', ' + dtEarliest.getTime() + ',' + dtLatest.getTime() + ')';
  AddNormalNode("this_year", "<#LocalizedText id="This year">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  var sURL = 'javascript:OpenDateLink(\'all\')';
  AddNormalNode("all", "<#LocalizedText id="All">", "<#ImageFileLocation>icn_clock.gif", sURL, "HierarchyRow", "tl");

  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: actionanalysishierarchytreeview.tpl] -->
