<!-- [QPRTemplateStart: associationuserlogonattributeeditor.tpl] -->
<tr id="<#AttributePackedName>" style="height:50px;">
  <td valign="top">
    <table id="Publisher">
      <tr>
        <td valign="top" style="padding-top: 5px;" >
            <#Label><#IsMandatoryAttribute true="&nbsp;*">:
        </td>
      </tr>
    </table>
  </td>

  <td valign="top" style="width: 100%;" >
    <table id="<#Name>_Main">
      <tr>
        <td style="width: 100%; padding-right: 4px;">
          <input type="text" id="<#Name>_UserName" value="<#UserName>" style="width: 100%;" readonly />
        </td>
        <td nowrap="nowrap">
          <input type="button" id="<#Name>_Modify" class="Button" value="<#LocalizedText id="Modify">" <#IsReadOnlyAttribute true="disabled=\"true\""> onClick="OnChangeLogon<#Name>()">
          <input type="hidden" id="<#Name>_Id" name="<#Name>_Id" value="<#Value>">
        </td>
      </tr>
    </table>
    <table id="<#Name>_Change" style="display:none; width: 100%;" width="100%">
      <tr>
        <td valign="top" style="padding-top: 5px;">
          <label for="<#Name>_Logon">
            <#LocalizedText id="Login name">:
          </label>
        </td>
        <td style="width:100%; padding-right: 4px;">
          <input type="text" id="<#Name>_Logon" name="<#Name>" value="" disabled="disabled" style="width:100%;" onchange="OnLogonChanged<#Name>()" <#IsReadOnlyAttribute true="readonly=\"readonly\"">>
        </td>
        <td>
          <input type="button" id="<#Name>_Ok" class="Button" disabled="disabled" value="<#LocalizedText id="Ok">" <#IsReadOnlyAttribute true="disabled=\"true\""> onClick="OnOk<#Name>()">
        </td>
      </tr>
      <tr>
        <td>
          <label for="<#Name>_Logon">
            <#LocalizedText id="Password">:
          </label>
        </td>
        <td style="width:100%; padding-right: 4px;">
          <input type="password" id="<#Name>_Password" name="_<#Name>_Password" value="" style="width:100%;" disabled="disabled" <#IsReadOnlyAttribute true="readonly=\"readonly\"">>
        </td>
        <td>
          <input type="button" class="Button" value="<#LocalizedText id="Cancel">" <#IsReadOnlyAttribute true="disabled=\"true\""> onClick="OnCancel<#Name>()">
        </td>
      </tr>
    </table>
  </td>
</tr>
<script type="text/javascript">
  var sSelectedUser<#Name> = '<#Value>';
  var sSelectedUserName<#Name> = '<#UserName>';

  function OnChangeLogon<#Name>()
  {
    jQuery("#<#Name>_Logon").val("").removeAttr("disabled");
    jQuery("#<#Name>_Password").val("").removeAttr("disabled");
    jQuery("#<#Name>_Main").css("display", "none");
    jQuery("#<#Name>_Change").css("display", "block");
    jQuery("#btnOk").attr("disabled", "disabled");
    OnLogonChanged<#Name>();
  }

  function OnLogonChanged<#Name>()
  {
    var sLogon = jQuery("#<#Name>_Logon").val();
    if (sLogon !== "")
      jQuery("#<#Name>_Ok").removeAttr("disabled");
    else
      jQuery("#<#Name>_Ok").attr("disabled", "disabled");
  }
  
  function OnOk<#Name>()
  {
    var oLogon = jQuery("#<#Name>_Logon");
    var sLogon = oLogon.val();
    var sPassword = jQuery("#<#Name>_Password").val();
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_POR_CHECK_LOGIN);
    sUrl = sSetParameter("CUSR", sLogon, sUrl);
    sUrl = sSetParameter("CPWD", sPassword, sUrl);
    CallServerFunction(sUrl, function (vsResult, voData) {
      if (vsResult == "error") {
        window.alert(voData.message);
        oLogon.get(0).focus();
        return false;
      }
      else {
        jQuery("#<#Name>_Id").val(voData.id);
        jQuery("#<#Name>_Id").attr("disabled", "disabled");
        jQuery("#<#Name>_UserName").val(voData.name);

        jQuery("#<#Name>_Main").css("display", "block");
        jQuery("#<#Name>_Change").css("display", "none");
        jQuery("#btnOk").removeAttr("disabled");
      }
    }, true);
  }

  function OnCancel<#Name>()
  {
    jQuery("#<#Name>_Logon").val("").attr("disabled", "disabled");
    jQuery("#<#Name>_Password").val("").attr("disabled", "disabled");
    jQuery("#<#Name>_Main").css("display", "block");
    jQuery("#<#Name>_Change").css("display", "none");
    jQuery("#btnOk").removeAttr("disabled");
  }
</script>
<!-- [QPRTemplateEnd: associationuserlogonattributeeditor.tpl] -->
