<!DOCTYPE html>
<!-- [QPRTemplateStart: createbookletview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">

      function openBookletHelp()
      {
        OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?createnewbriefingbooklet.htm'));
      }
      
      function init() {        
        document.forms['formCreateBooklet'].elements['<#BookletNameID>'].focus();
      }
      
      function bCheckName() {
        var bResult = (document.forms['formCreateBooklet'].elements['<#BookletNameID>'].value.length > 0);
        
        if (!bResult) {
          alert(sDecodeURI('<#LocalizedTextMessage id="Empty name is not allowed.">'));
          document.forms['formCreateBooklet'].elements['<#BookletNameID>'].focus();
        }
        if (bHasValidOpener(window)) {
          if (window.opener.notifyParentOnBookletEvent) {
            window.opener.notifyParentOnBookletEvent();
          }
          else
          {
             OpenWindow('<#ManageBookletsURL>', 'ManageBookletsWindow',640,600);      
          }
        }
        return bResult;
      }     

      function OnLoad()
      {
        init();
        InitializeResizeHandlerForPopup(window);      
      }
    </script>
  </head>
  
  <body onLoad="javascript: OnLoad();" style="margin-top: 0;">
    <form action="<#CreateBookletAction>" name="formCreateBooklet" method="post" onSubmit="javascript: return bCheckName();">
    <table border="0" cellspacing="4" cellpadding="0" width="100%">
      <tr>
        <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Create New Briefing Booklet"></td>
      </tr>
      <tr class="ControlGroup">
        <td class="TableCellPaddingBackground">
          <table border="0" cellspacing="1" cellpadding="2" width="100%">
            <tr bgcolor="#ffffff">
              <td>
                <table border="0" cellspacing="2" cellpadding="2">
                <tr><td><br></td></tr>
                  <tr>
                    <td>
                      <#LocalizedText id="Name">:
                    </td>
                    <td>
                      <input type="text" style="width: 250px" name="<#BookletNameID>" id="<#BookletNameID>" maxlength="255"/>
                    </td>
                  </tr>
                  <tr><td><br></td></tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td align="<#IsRTL true="left" false="right">">
          <br/>
          <input type="submit" name="<#CreateIdentifier>" value="<#LocalizedText id="OK">" style="width: 100px"/>
          <input type="button" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close()" style="width: 100px"/>
          <input type="button" value="<#LocalizedText id="Help">" style="width: 100px" onClick="javascript: openBookletHelp()"/>
        </td>
      </tr>
    </table>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: createbookletview.tpl] -->
