<!DOCTYPE html>
<!-- [QPRTemplateStart: createwordreportview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript">

      function openWordReportHelp()
      {
        OpenHelpWindow(sDecodeURI('<#WordReportHelpURL>?createnewwordreport.htm'));
      }
      
      function init() {        
        document.forms['formCreateWordReport'].elements['<#WordReportNameID>'].focus();
      }
      
      function bCheckName() {
        var bResult = (document.forms['formCreateWordReport'].elements['<#WordReportNameID>'].value.length > 0);
        
        if (!bResult) {
          alert(sDecodeURI('<#LocalizedTextMessage id="Empty name is not allowed.">'));
          document.forms['formCreateWordReport'].elements['<#WordReportNameID>'].focus();
        }
        if (bHasValidOpener(window)) {
          if (window.opener.notifyParentOnWordReportEvent) {
            window.opener.notifyParentOnWordReportEvent();
          }
          else
          {
             OpenWindow('<#ManageWordReportsURL>', 'ManageWordReportsWindow',640,600);      
          }
        }
        return bResult;
      }     

      function OnLoad()
      {
        init();
        InitializeResizeHandlerForPopup(window);      
      }
    </script>
  </head>
  
  <body onLoad="javascript: OnLoad();" style="margin-top: 0;">
    <form action="<#CreateWordReportAction>" name="formCreateWordReport" method="post" onSubmit="javascript: return bCheckName();">
    <table border="0" cellspacing="4" cellpadding="0" width="100%">
      <tr>
        <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Create New Word Report"></td>
      </tr>
      <tr class="ControlGroup">
        <td class="TableCellPaddingBackground">
          <table border="0" cellspacing="1" cellpadding="2" width="100%">
            <tr bgcolor="#ffffff">
              <td>
                <table border="0" cellspacing="2" cellpadding="2">
                <tr><td><br></td></tr>
                  <tr>
                    <td>
                      <#LocalizedText id="Name">:
                    </td>
                    <td>
                      <input type="text" style="width: 250px" name="<#WordReportNameID>" id="<#WordReportNameID>" maxlength="255"/>
                    </td>
                  </tr>
                  <tr><td><br></td></tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td align="<#IsRTL true="left" false="right">">
          <br/>
          <input type="submit" name="<#CreateIdentifier>" value="<#LocalizedText id="OK">" style="width: 100px"/>
          <input type="button" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close()" style="width: 100px"/>
          <input type="button" value="<#LocalizedText id="Help">" style="width: 100px" onClick="javascript: openWordReportHelp()"/>
        </td>
      </tr>
    </table>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: createwordreportview.tpl] -->
