<!DOCTYPE html>
<!-- [QPRTemplateStart: hierarchyheaderview.tpl] -->
<html>
<head>
  <#Title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
  <#stylesheet>
  <#PortalScript>

<script type="text/javascript">
function UpdateHierarchyParameters(vsParameters, vbKeepSelectedTreeItem, vbDontRefresh, vbUseEmptyOidValue, vbDontStoreParameters)
{
  if ((parent) && (parent.parent) && (parent.parent.UpdateHierarchyParameters))
    parent.parent.UpdateHierarchyParameters(vsParameters, vbKeepSelectedTreeItem, vbDontRefresh, vbUseEmptyOidValue, vbDontStoreParameters);
}

function sGetHierarchyName()
{
  if ((parent) && (parent.parent) && (parent.parent.sGetHierarchyName))
    return parent.parent.sGetHierarchyName();
}

function sGetHierarchyParameters()
{
  if ((parent) && (parent.parent) && (parent.parent.sGetHierarchyParameters))
    return parent.parent.sGetHierarchyParameters();
}

function refreshBookmarks(vsHDR, vsSUBHDR, vsParams)
{
  if ((parent) && (parent.parent) && (parent.parent.refreshBookmarks))
    parent.parent.refreshBookmarks(vsHDR, vsSUBHDR, vsParams);
}

function RefreshBooklets()
{
  var oView = oGetInformationView();
  if (oView && oView.RefreshBooklets) {
    oView.RefreshBooklets();
  }
}

function oGetInformationView()
{
  if ((parent) && (parent.parent) && (parent.parent.InformationView))
    return parent.parent.InformationView;
}

function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
{
  if (oGetInformationView && oGetInformationView().OnAssociationCreated)
    oGetInformationView().OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl);
  else {
    if ((parent) && (parent.HierarchyView))
      parent.HierarchyView.location.reload();
  }
}

var _sSelectedUsers = '<#ActionByUserUsers>';
var MAX_NUMBER_OF_SHOWN_USERS_IN_ACTIONS_BY_USER_HIERARCHY = 100;

function OpenActionsOnUserUserSelectionWindow()
{
  var sParams = ACT_PARAM_SELECTION + '=' + _sSelectedUsers + '&' + ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_ALLOW + '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH + '&' + ACT_PARAM_CALLBACK + '=' + 'OnCloseUserSelection' + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_ANY + '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_STRING + '&' + ACT_PARAM_MAX_NUM_SELECTED_USERS + '=' + MAX_NUMBER_OF_SHOWN_USERS_IN_ACTIONS_BY_USER_HIERARCHY;
  OpenUserSelectionWindow('<#UserSelectionViewURL>&' + sParams, 'ActionByUserUserSelection');
}

function OnCloseUserSelection(vsUsers)
{
  UpdateHierarchyParameters('ACTIONS_BYUSER_USERS=' + vsUsers, true, false, false, true);
}

function OpenBookmarkManagerWindow(vsURL)
{
  var oHView=oGetHeaderView();
  if (oHView)
  {
    oHView.OpenBookmarkManagerWindow(vsURL);
  }	
}

function Refresh()
{
  location.reload();
}
</script>
</head>

<body class="HierarchyView">
  <table border="0" cellspacing="0" cellpadding="0" width="100%" class="HierarchyHeader">
    <tr><td width="6"><img src="<#ImageFileLocation>1x1.gif" width=6 height=22 border=0 /></td>
<script>
  if ((parent) && (parent.HierarchyView) && (parent.HierarchyView.sGetHeaderHTML))
    document.write(parent.HierarchyView.sGetHeaderHTML());
</script>
    </tr>
  </table>
</body>

</html>
<!-- [QPRTemplateEnd: hierarchyheaderview.tpl] -->
