<!-- [QPRTemplateStart: measuremodificationview.tpl] -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge"> 
    <title></title>

    <#PortalScript>
    <#Include template="jswsfutils.tpl">
    <#stylesheet>
    <style type="text/css">
	
	input, textarea, select {
	  font-size: 12px;
	}
	
    table#contentTable td {
      padding: 3px;
	  border: 7px solid white;
	  font-size: 12px
    }
	
	.errorhighlighted {
	  background-color: red;
	}
	
	</style>
</style>
<script type="text/javascript">

  var HIDE_SYMBOL = false;			
  var FIXED_NAME = null;
  var FIXED_TYPENAME = null;
  var FIXED_DESCRIPTION = null;
  var FIXED_MEASUREUNITID = null
  var FIXED_VALUESETTINGSID = null;
  var FIXED_ACCUMULATIONRULE = null;
  var FIXED_PERIODLEVELID = null;
  var FIXED_GRAPHLAYOUTTEMPLATEID = null;
  
  var oAccessor;
  var measureId;
  var operation;
  var modelId;
  var currentValues = new Object();
		 
  function onLoad() {
    if (HIDE_SYMBOL) $("#symbol").closest("tr").hide();
	if (FIXED_NAME != null) $("#name").closest("tr").hide();
	if (FIXED_TYPENAME != null) $("#elementtype").closest("tr").hide();
	if (FIXED_DESCRIPTION != null) $("#description").closest("tr").hide();
	if (FIXED_MEASUREUNITID != null) $("#measureunitid").closest("tr").hide();
	if (FIXED_VALUESETTINGSID != null) $("#valuesettingid").closest("tr").hide();
	if (FIXED_ACCUMULATIONRULE != null) $("#periodicaccumulationvalue").closest("tr").hide();
	if (FIXED_PERIODLEVELID != null) $("#periodlevelid").closest("tr").hide();
	if (FIXED_GRAPHLAYOUTTEMPLATEID != null) $("#graphlayouttemplateid").closest("tr").hide();
    $("table#contentTable > tbody > tr:lt(9)").each(function() {$(this).children("td:first").html($(this).children("td:first").html().replace(" ", "&nbsp;"))});
	measureId = sGetParameter("measureId", sGetDocumentLocation());
	modelId = measureId.substring(0, measureId.lastIndexOf("."));
	operation = sGetParameter("operation", sGetDocumentLocation());
	var createMeasureText = "<#LocalizedText id="Create measure">";
	var modifyMeasureText = "<#LocalizedText id="Modify measure">";
	if (operation == "add") {
	  $("#header").html(createMeasureText);
	  $(document).attr("title", createMeasureText)
	} else {
	  $("#header").html(modifyMeasureText);
	  $(document).attr("title", modifyMeasureText)
	}
    oAccessor = WSFUtils();
    oAccessor.LoadProxy(step0, handleError);
  }
	
  function step0() {
	oAccessor.AutoAuthenticate(step1, handleError);
  }
	
  function step1() {
    if (operation == "modify") {
      oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + measureId + "]", "", "", "name,symbol,description,measureunitid,valuesettingid,periodlevelid,graphlayouttemplateid,periodicaccumulationvalue,related(relation=\"elementtype\", as=\"elementtype\")", "", step2, handleError);
    } else {
	  step2();
	}
  }
  
  function step2(result) {
    if (result != null && result.ChildElements != null && result.ChildElements.length > 0 && result.ChildElements[0].ChildElements != null) {
	  for (var i = 0; result.ChildElements[0].ChildElements.length > i; i++) {
	    if (["measureunitid", "valuesettingid", "periodlevelid", "graphlayouttemplateid"].indexOf(result.ChildElements[0].ChildElements[i].Name) == -1 || result.ChildElements[0].ChildElements[i].Value.substr(result.ChildElements[0].ChildElements[i].Value.length - 2, 2) != ".0") {
          currentValues[result.ChildElements[0].ChildElements[i].Name] = result.ChildElements[0].ChildElements[i].Value;
		}
	  }
	}
    oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + modelId + "].unit", "", "name", "name", "", step3, handleError);
  }
 
  function step3(result) {
    var property = "measureunitid";
    if (getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='empty'></option>");
    }
	for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
      if (result.ChildElements[i].ChildElements != null && result.ChildElements[i].ChildElements.length > 0) {
	    var id = result.ChildElements[i].Id;
	    var name = result.ChildElements[i].ChildElements[0].Value;
	    $('select#' + property).append('<option value="' + id + '">' + sHTMLEncode(name) + '</option>');
      }
    }
	$('select#' + property).val(getCurrentValue(property));
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + modelId + "].valuesetting", "", "name", "name", "", step4, handleError);
  }

  function step4(result) {
    var property = "valuesettingid";
    if (getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='empty'></option>");
    }
	for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
      if (result.ChildElements[i].ChildElements != null && result.ChildElements[i].ChildElements.length > 0) {
	    var id = result.ChildElements[i].Id;
	    var name = result.ChildElements[i].ChildElements[0].Value;
	    $('select#' + property).append('<option value="' + id + '">' + sHTMLEncode(name) + '</option>');
      }
    }
	$('select#' + property).val(getCurrentValue(property));
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + modelId + "].periodlevel", "", "name", "name", "", step5, handleError);
  }
  
  function step5(result) {
    var property = "periodlevelid";
    if (getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='empty'></option>");
    }
	for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
      if (result.ChildElements[i].ChildElements != null && result.ChildElements[i].ChildElements.length > 0) {
	    var id = result.ChildElements[i].Id;
	    var name = result.ChildElements[i].ChildElements[0].Value;
	    $('select#' + property).append('<option value="' + id + '">' + sHTMLEncode(name) + '</option>');
      }
    }
	$('select#' + property).val(getCurrentValue(property));
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + modelId + "].charttemplate", "", "name", "name", "", step6, handleError);
  }
  
  function step6(result) {
    var property = "graphlayouttemplateid";
    if (operation == "modify" && getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='custom' selected='selected'>&lt;<#LocalizedText id="Custom">&gt;</option>");
    } else if (operation == "add") {
      $('select#' + property).append("<option value='empty'></option>");	
	}
	for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
      if (result.ChildElements[i].ChildElements != null && result.ChildElements[i].ChildElements.length > 0) {
	    var id = result.ChildElements[i].Id;
	    var name = result.ChildElements[i].ChildElements[0].Value;
	    $('select#' + property).append('<option value="' + id + '">' + sHTMLEncode(name) + '</option>');
      }
    }
	if (getCurrentValue(property) != "") $('select#' + property).val(getCurrentValue(property));
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + modelId + "].elementtypes", "typename=\"Measure type\"", "name", "name", "", step7, handleError);
  }
  
  function step7(result) {
    var property = "elementtype";
    if (getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='empty'></option>");
    }
	for (var i = 0; result != null && result.ChildElements != null && i < result.ChildElements.length; i++) {
      if (result.ChildElements[i].ChildElements != null && result.ChildElements[i].ChildElements.length > 0) {
	    var id = result.ChildElements[i].Id;
	    var name = result.ChildElements[i].ChildElements[0].Value;
		if (id.substr(id.length - 2, 2) != ".2") {  //top element excluded
	      $('select#' + property).append('<option value="' + id + '">' + sHTMLEncode(name) + '</option>');
		}
      }
    }
	$('select#' + property).val(getCurrentValue(property));
	if (operation == "modify") {
	  $("#" + property).attr("disabled", true);
	}

	property = "periodicaccumulationvalue";
	var accumulationRules = [["0", "Sum"], ["1", "Average"], ["2", "Min"], ["3", "Max"], ["4", "First"], ["5", "Last"], ["6", "Sum (ignore null)"], ["7", "Average (ignore null)"], ["8", "None"], ["10", "Latest"]];
    if (getCurrentValue(property) == "") {
      $('select#' + property).append("<option value='empty'></option>");
    }
	for (var i = 0; i < accumulationRules.length; i++) {
   	  $('select#' + property).append("<option value='" + accumulationRules[i][0] + "'>" + accumulationRules[i][1] + "</option>");
	}
	$('select#' + property).val(getCurrentValue(property));
	
	$("#name").val(getCurrentValue("name"));
	$("#symbol").val(getCurrentValue("symbol"));
	$("#description").val(getCurrentValue("description")); 
	oAccessor.oClient.LogOff(oAccessor.sSessionId);
    $('body').show();
  }
   
   function getCurrentValue(value) {
     if (currentValues[value] == null) {
	   return "";
	 } else {
	   return currentValues[value]
	 }
   }
   
  function onSave() {
    var fieldsToValidate = ["name", "elementtype", "measureunitid", "valuesettingid", "periodlevelid", "periodicaccumulationvalue", "graphlayouttemplateid"];
	
	$('table#contentTable td').removeClass("errorhighlighted");
	for (var item in fieldsToValidate) {
	  if (($("#" + fieldsToValidate[item]).val() == null || $("#" + fieldsToValidate[item]).val() == "" || $("#" + fieldsToValidate[item]).val() == "empty") && !$("#" + fieldsToValidate[item]).closest("tr").is(':hidden')) {
	    $("#" + fieldsToValidate[item]).parent().addClass("errorhighlighted");
	    alert("Field must not be empty: " + $("#" + fieldsToValidate[item]).parent().prev().html().replace(":", "").replace("&nbsp;", " ") + ".");
		return;
      }
	}

	oAccessor.AutoAuthenticate(onClose_step1, handleError);
  }
	
  function onClose_step1() {
    if (operation == "add") {
	  var typename = "";
	  if (FIXED_TYPENAME == null) typename = $("#elementtype").val(); else typename = FIXED_TYPENAME;
	  var name = "";
	  if (FIXED_NAME == null) name = $("#name").val(); else name = FIXED_NAME;
	  var properties = new Array();
	  if ($("#symbol").val() != "") properties.push(oAccessor.oCreateTypedArray(["symbol", $("#symbol").val()]));
	  if (FIXED_DESCRIPTION == null && $("#description").val() != "") properties.push(oAccessor.oCreateTypedArray(["description", $("#description").val()]));
	  if (FIXED_MEASUREUNITID == null) properties.push(oAccessor.oCreateTypedArray(["measureunitid", $("#measureunitid").val()])); else properties.push(oAccessor.oCreateTypedArray(["measureunitid", FIXED_MEASUREUNITID]));
	  if (FIXED_VALUESETTINGSID == null) properties.push(oAccessor.oCreateTypedArray(["valuesettingsid", $("#valuesettingid").val()])); else properties.push(oAccessor.oCreateTypedArray(["valuesettingsid", FIXED_VALUESETTINGSID]));
	  if (FIXED_ACCUMULATIONRULE == null) properties.push(oAccessor.oCreateTypedArray(["accumulationrule", $("#periodicaccumulationvalue").val()])); else properties.push(oAccessor.oCreateTypedArray(["accumulationrule", FIXED_ACCUMULATIONRULE]));
	  if (FIXED_PERIODLEVELID == null) properties.push(oAccessor.oCreateTypedArray(["periodlevelid", $("#periodlevelid").val()])); else properties.push(oAccessor.oCreateTypedArray(["periodlevelid", FIXED_PERIODLEVELID]));
	  if (FIXED_GRAPHLAYOUTTEMPLATEID == null) properties.push(oAccessor.oCreateTypedArray(["graphlayouttemplateid", $("#graphlayouttemplateid").val()])); else properties.push(oAccessor.oCreateTypedArray(["graphlayouttemplateid", FIXED_GRAPHLAYOUTTEMPLATEID])); 
						                            			                            
	  oAccessor.oClient.CreateObject(oAccessor.sSessionId, modelId, typename, name, measureId, null, "", function(createdMeasureId) {
	    oAccessor.oClient.SetAttributes(oAccessor.sSessionId, createdMeasureId, oAccessor.oCreateTypedArray(properties), "", onClose_step2, handleError);
	  }, handleError);
	} else {
	  var properties = new Array();
	  var readFields = ["name", "symbol", "description", "measureunitid", "valuesettingid", "periodlevelid", "periodicaccumulationvalue", "graphlayouttemplateid"];
	  var saveFields = ["name", "symbol", "description", "measureunitid", "valuesettingsid", "periodlevelid", "accumulationrule", "graphlayouttemplateid"];
	  for (var item in readFields) {
	    if (currentValues[readFields[item]] != $("#"+ readFields[item]).val()
		&& (readFields[item] != "graphlayouttemplateid" || (readFields[item] == "graphlayouttemplateid" && $("#" + readFields[item]).val() != "custom"))
		&& (readFields[item] != "symbol" || (readFields[item] == "symbol" && $("#" + readFields[item]).val() != ""))
		&& !$("#" + readFields[item]).closest("tr").is(':hidden')) {
		  properties.push(oAccessor.oCreateTypedArray([saveFields[item], $("#" + readFields[item]).val()]));
		}
	  }
	  if (properties.length > 0) {
	    oAccessor.oClient.SetAttributes(oAccessor.sSessionId, measureId, oAccessor.oCreateTypedArray(properties), "", onClose_step2, handleError);
	  } else {
	    onClose_step2();
	  }
	}
  }
  
  function onClose_step2() {
    oAccessor.oClient.LogOff(oAccessor.sSessionId);
	parent.window.close();
	if (bHasValidOpener(window) && bExists(window.opener.refreshWindow)) {
      window.opener.refreshWindow();
	}
  }
  
  function handleError(result) {
    var errorMessage = "";
	if (result != null && typeof(result.get_message) != "undefined") { 
	  errorMessage = result.get_message();
	}
    alert("Error occured. Please try again in a moment.\n\nError message:\n" + errorMessage);
    window.parent.close();
  }
  
  function resizeContent() {
    var bodyWidth = $(window).width()
    $('#contentTable').width(bodyWidth - 40);
	var bodyHeight = $(window).height();
	$('#description').height(bodyHeight - 430 < 14 ? 14 : bodyHeight - 430);
  }
  
</script>

</head>

<body style="display:none;" onload="onLoad();resizeContent();" onresize="resizeContent();">
  <div id="PopupHeader">
    <img src="<#PortalImageFileLocation>header_icon_select.png" />
    <h1 id="header"></h1>
  </div>
  <div style="border:20px solid white;">
	<table id="contentTable" style="padding:5px;">
	  <colgroup>
        <col span="1" style="width: 1%;">
        <col span="1" style="width: 99%;">
      </colgroup>
	  <tbody>
	  <tr>
	    <td><#LocalizedText id="Measure name">:</td>
		<td><input id="name" style='width:100%' /></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Symbol">:</td>
		<td><input id="symbol" style='width:100%' /></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Description">:</td>
		<td><textarea id="description" rows="6" style="width:100%;"></textarea></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Measure type">:</td>
		<td><select id="elementtype" style='width:100%' size='1'></select></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Measurement unit">:</td>
		<td><select id="measureunitid" style='width:100%' size='1'></select></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Value settings">:</td>
		<td><select id="valuesettingid" style='width:100%' size='1'></select></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Period level">:</td>
		<td><select id="periodlevelid" style='width:100%' size='1'></select></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Accumulation rule">:</td>
		<td><select id="periodicaccumulationvalue" style='width:100%' size='1'></select></td>
	  </tr>
	  <tr>
	    <td><#LocalizedText id="Graph">:</td>
		<td><select id="graphlayouttemplateid" style='width:100%' size='1'></select></td>
	  </tr>	  
	  <tr>
	    <td style="padding-top:20px;"><input style="float:right;" class="ButtonLeft" type="button" value="<#LocalizedText id="Save">" onclick="onSave();"></td>
		<td style="padding-top:20px;"><input class="ButtonLeft" type="button" value="<#LocalizedText id="Cancel">" onclick="parent.window.close();"></td>
	  </tr>
	  </tbody>
	</table>
  </div>
</body>

</html>
<!-- [QPRTemplateEnd: measuremodificationview.tpl] -->