<!DOCTYPE html>
<!-- [QPRTemplateStart: separatoreditorview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>
    
    <style>
body {
  position: absolute;
  width: 98%; 
  height: 100%;
  margin-top: 0px;
}
    </style>
  </head>

  <body class="PopupView" onLoad="OnLoad()" id="body">
    <form id="linkproperties" name="linkproperties" action="<#URL>" method="post" onsubmit="javascript: return(OnSubmit());">
      <div id="PopupHeader">
<script type="text/javascript">
  var sIcon;
  if (<#IsDefinedRequestParameter id="BID" true="false" false="true">)    sIcon = "header_icon_create.png";
  else
    sIcon = "header_icon_modify.png";
  document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" />');                     
</script>
        <h1>
          <#HeaderText>
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td>
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                  <caption>
                    <#LocalizedText id="Properties">
                  </caption>
                  <tr>
                    <td nowrap="true" width="80">
<script type="text/javascript">
  if (sGetParameter('SEP', sGetDocumentLocation()) == "1")
    document.write('<#LocalizedText id="Separator text">:');
  else	
    document.write('<#LocalizedText id="Folder text">:');
</script>
                    </td>
                    <td width="100%">
                      <input type="text" name="NAM" maxlength="<#MaxBookmarkNameLength>" <#LinkNameReadOnly> value="<#LinkName>" style="width: 420">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>        
          <tr>
            <td style="<#IsAdmin false="display: none;">">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                  <caption>
                    <#LocalizedText id="Publish To">
                  </caption>
                  <tr>
                    <td align="center">
                      <table border="0" cellpadding="0" cellspacing="10" width="100%">
                        <tr>
                          <td>
                            <input type="radio" name="PublishFor" value="0" onclick="OnPublishForChanged()">                                     <#LocalizedText id="Me only">
                          </td>  
                        </tr>
                        <tr>
                          <td>
                            <input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">
                            <#LocalizedText id="Everyone">
                          </td>  
                        </tr>
                        <tr>
                          <td>
                            <input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">
                            <#LocalizedText id="Selected users">
                            <input class="Button" type="button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()" style="width: 100">
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </div>
            </tr>
          </td>
        </table>
      </div>
<#Include template="jsassociationutils.tpl">
      <div id="DetailsFooter">
	<input class="ButtonRight" type="button" value="<#HelpButtonText>" onclick="openBookmarkEditorHelpView()">
<#IsReadOnly false="<!--">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Close">" onclick="window.close()">
<#IsReadOnly false="-->">
<#IsReadOnly true="<!--">
        <input class="ButtonRight" type="button" value="<#Cancel>" onclick="window.close()">
        <input class="ButtonRight" type="button" name="Ok" value="<#LocalizedText id="Create">" onclick="onCreateViewButtonClick()">
<#IsReadOnly true="-->">
        <table>
          <script>
            writeAssociationFooter();
          </script>
        </table>
      </div>
    </form>
  </body>

    <script type="text/javascript">
      var bOkBtnPressed = false;
      var sCurrentUser = '<#UserId>';
      var sSelectedUsers = '<#PublishForUsers>';
      var bCreatingNewBookmark = <#IsDefinedRequestParameter id="BID" true="false" false="true">;

      function submitChanges(sUrl) 
      {
        var sParams = "&SEP=";
        sParams += sGetParameter('SEP', sGetDocumentLocation());
        sParams += "&BTYP=";
        sParams += sGetParameter('BTYP', sGetDocumentLocation());
        sParams += "&CB=1";
<#IsAdmin false="/*">
        sParams += "&USRS=" + sSelectedUsers;
        if (document.linkproperties.PublishFor[1].checked)
          sParams += "&BPTYP=2";
        else if (document.linkproperties.PublishFor[0].checked)
          sParams += "&BPTYP=0";
        else
          sParams += "&BPTYP=1";
<#IsAdmin false="*/">

        if (document.linkproperties.NAM.value == "")
        {
          if (sGetParameter('SEP', sGetDocumentLocation()) == "1")
            alert(sDecodeURI('<#LocalizedTextMessage id="Separator text not defined!">'));
          else
            alert(sDecodeURI('<#LocalizedTextMessage id="Folder text not defined!">'));
        }
        else
        {
          if (document.linkproperties.Ok)
            document.linkproperties.Ok.disabled = true;
          SubmitURLviaFormOnDoc(parent.document, sUrl, '', 'body', 'linkproperties', sParams);
        }
      }

      function onOkButtonClick() {
        bOkBtnPressed = true;
        submitChanges("<#ActionOkURL>");
      }
      function onCreateLinkButtonClick() {
        submitChanges("<#ActionCreateLinkURL>");
      }
      function onCreateViewButtonClick() {
        submitChanges("<#ActionCreateViewURL>");
      }

      function openBookmarkEditorHelpView()
      {
	OpenHelpWindow(sDecodeURI('<#HelpURL>?bookmarks.htm'));
      }

      function OnPublishForChanged()
      {
<#IsAdmin false="//">        document.linkproperties.Users.disabled = !document.linkproperties.PublishFor[2].checked;
      }

      function OnUsersClick()
      {
        <#IsAdmin false="//">var sParams = ACT_PARAM_SELECTION + '=' + sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL;
        <#IsAdmin false="//">OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','BookmarkEditorUserSelection','body','bookmarkuserselectionform',sParams);
      }

      function OnCloseUserSelection(vsSelectedUsers)
      {
        focus();
        sSelectedUsers = vsSelectedUsers;
      }

      function OnLoad()
      {
        var iPublishForType = <#PublishForType>;
<#IsAdmin false="//">        document.linkproperties.PublishFor[iPublishForType].checked = true;

        if (!bCreatingNewBookmark && document.linkproperties.Ok)
          document.linkproperties.Ok.value = sDecodeCharacterEntityReferences("<#LocalizedText id="Apply">");

        document.linkproperties.NAM.value = sDecodeURI("<#LinkName>");

        OnPublishForChanged();
        InitializeResizeHandlerForPopup(window);
      }
      function OnSubmit()
      {
        if(!bOkBtnPressed) { return false; }
        return true;
      }
    </script>
</html>
<!-- [QPRTemplateEnd: separatoreditorview.tpl] -->
