<!DOCTYPE html>
<!-- [QPRTemplateStart: workflowticketshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  var _sViewTemplate = "workflowticketsview.tpl";
  var _sViewParameterPrefix = "WFT_";
  
  function OpenWorkflow(vsId, vsTypeId)
  {
    var sParams = sSetParameter("WF" , vsId, "");
    var sId = vsId;
    if (vsTypeId) {
      sParams = sSetParameter("TID", vsTypeId, sParams);
      sId += "/" + vsTypeId;
    }

    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);

    OpenActionLink(sId, vsId, sParams);
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  AddNormalNode("all", "<#LocalizedText id="All workflow tickets">", "<#ImageFileLocation>icon_all_workflow_tickets.png", "javascript:OpenActionLink('','all')", "HierarchyRow", "tl", true);

  PushNodeLevel();
  $.each([<#ForEach attribute="actions:actiontypes=workflow" where="" fields="iconurl,fullid,name,boundtotypes" sort="name" template="genericjsonobject.tpl" fieldtemplate="JsonFields\\generic$.tpl" fieldseparator=",">], function (viIndex, voWorkflow) {
    AddNormalNode(voWorkflow.fullid, voWorkflow.name, voWorkflow.iconurl, "javascript:OpenWorkflow('" + voWorkflow.fullid + "')", "HierarchyRow", "tl");
    if (voWorkflow.boundtotypes) {
      PushNodeLevel();
      $.each(voWorkflow.boundtotypes, function (viIndex, voType) {
        AddNormalNode(voWorkflow.fullid + "/" + voType.fullid, voType.name, voType.iconurl, "javascript:OpenWorkflow('" + voWorkflow.fullid + "', '" + voType.fullid + "')", "HierarchyRow", "tl");
      });
      PopNodeLevel();
    }
  });
  PopNodeLevel();

  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: workflowticketshierarchytreeview.tpl] -->
