<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_bestperformanceview.tpl] -->
<html>
<head>
  <title><#Title></title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
  <#PortalScript>
  <script type="text/javascript" src="<#PortalScriptFileLocation>resizabletable.js"></script>
  <#stylesheet>    

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">
  function sGetViewName()
  {
    return "<#LocalizedText id="Best Performance">";
  }
  
  function sGetCommonToolbarHTML()
  {
    return sGetDefaultToolbarButtons();
  }

  function getHelpContext() { return "bestperformance.htm"; }
</script>
</head>

<body class="Small" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onLoad="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView()" <#URLParameter id="ALL" value="1" false="scroll='no'">>

<#Include template="tinyframeviewheader.tpl" captiontext="<#LocalizedText id='Best Performance'>" captionclass="FirstTable">

<script type="text/javascript">
BT("border='0' cellpadding='0' cellspacing='0'");
  InitializeResizableTable([0.7, 0.3, 0, 0], [0, 0, 30, 30]);
  BR();
    RCH("<#LocalizedText id="Measure">");
    RCH("<#LocalizedText id="Value">");
    FCH("<#LocalizedText id="Trend">");
    FCH("<#LocalizedText id="Status">");
  ER();

<#Include template="dynamictableheader.tpl">

  <#ForEach attribute="bestperformance" template="sc_measuresthinview_row.tpl">

<#Include template="dynamictablefooter.tpl">

ET();
</script>
    </td>
  </tr>
</table>

</body>
</html>
<!-- [QPRTemplateEnd: sc_bestperformanceview.tpl] -->