<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_linkeddataview.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    
    <#PortalScript>
    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    
    <#stylesheet>
    
    <#Include template="jsportaltoolbarutils.tpl">
    
    <script type="text/javascript">
      function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
      {
        return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
      }

      function sGetCommonToolbarHTML()
      {
        return sGetDefaultToolbarButtonsWithActions();
      }

      function sGetHelpFile()
      {
        return "<#HelpFileURL>?<#HelpContext>";
      }
    </script>
  </head>

  <body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onLoad="javascript: if (parent.bIsPortalMainView) { UpdateInformationViewToolbarsFromInformationView(); }" onUnload="javascript: if (parent.bIsPortalMainView) { UpdateInformationViewToolbarsFromInformationView(); }">

  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption style="border-top: 0;"><#LinkedDataType></caption>

      <tr>
        <th><#header1></th>
        <th><#header2></th>
        <#col3start><th><#header3></th><#col3end>
        <#col4start><th><#header4></th><#col4end>
        <#col5start><th><#header5></th><#col5end>
        <#scalestart><th><#Scale></th><#scaleend>
      </tr>
      <tr>
        <td><#data1></td>
        <td><#data2></td>
        <#col3start><td><#data3></td><#col3end>
        <#col4start><td><#data4></td><#col4end>
        <#col5start><td><#data5></td><#col5end>
        <#scalestart><td style="background-color:<#Color>;">&nbsp;</td><#scaleend> 
      </tr>
    </table>
  </div>
    
  <table class="PropertyListTable" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <#Description>
      </td>
    </tr>
  </table>
  </body>
</html> 
<!-- [QPRTemplateEnd: sc_linkeddataview.tpl] -->
