<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_modelselection.tpl] -->
<html>
<head>
<title>QPRPortal - <#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
<#PortalScript>
<#stylesheet>

<script language="JavaScript1.2" src="<#PortalScriptFileLocation>tree.js"></script>
<script>

function resultHandler(result, data) {
  if (!(result == "OK") && (data.length > 0)) {
    window.alert(data);
  } else {
    if (data.length > 0) {
      UpdateHierarchyParameters('<#ModelIDID>=' + data);
    }
  }
}

function resultHandler2(result, data) {
  if (!(result == "OK") && (data.length > 0))
    window.alert(data);
  parent.window.close();
}

function SelectModel(sModelID)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView && bExists(oHeaderView.SetNamedVariableValue))
  {
    oHeaderView.SetNamedVariableValue('LASTSELPERID', '', false);
    oHeaderView.SetNamedVariableValue('LASTSELPERDATE', '', false);
    oHeaderView.SetNamedVariableValue('LASTSELPATID', '', false);
  }
  
  var sURL = '<#SetModelURL>&<#ModelIDID>=' + sModelID;
  var oView = oGetInformationView();

  if (!oView || !bExists(oView.OnModelSelectionClosed))
    oView = oGetHierarchyTreeView();
  if (oView && bExists(oView.OnModelSelectionClosed)) {
    oView.OnModelSelectionClosed(sModelID);

    if ((sModelID.length > 0) && (parent) && (parent.callFunction))
      parent.callFunction(sURL, resultHandler2);
    return;
  }

  if ((sModelID.length > 0) && (parent) && (parent.callFunction))
    parent.callFunction(sURL, resultHandler);
}

function OnLoad()
{
  _sSelectedObjectId = sGetModelId('scorecards', 'MOD');
  if ((!_sSelectedObjectId) || (_sSelectedObjectId == ''))
    _sSelectedObjectId = '<#Model attribute="id">';
  UpdateTree();
  InitializeResizeHandlerForPopup(window, ResizeWindowFix);
}

function UpdateHierarchyParameters(vsParameters)
{
  var undefined;

  if (bHasValidOpener(parent.window) && (parent.window.opener.UpdateHierarchyParameters)) {
    parent.window.opener.UpdateHierarchyParameters(vsParameters);
  }
  parent.window.close();
}

</script>
</head>
<body class="PopupView" onLoad="OnLoad();">
  <script>
    self.parent.document.title = sDecodeURI('QPRPortal - <#LocalizedText id="Select Model" enc="js">');
  </script>
  <div id="PopupHeader">
    <img src="<#PortalImageFileLocation>header_icon_select.png" />
    <h1>
      <#LocalizedText id="Select Model">
    </h1>
  </div>
  <div class="PopupContent">
    <div class="PropertyFormGroupWrapper">
      <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
        <tr>
          <td valign="top">
            <script>
              SetTreeImagePath('<#GraphicsURL>', false, false, "<#IsRTL true="_rtl">");
              <#ModelList template="sc_modelselection_item.tpl">
              document.write(WriteTreeDiv());
            </script>
          </td>
        </tr>
      </table>
    </div>
  </div>
  <div id="DetailsFooter">
    <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onclick="self.window.close(); parent.window.close();">
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: sc_modelselection.tpl] -->
