<!DOCTYPE html>
<!-- [QPRTemplateStart: Basic_Booklet_Two_Page.tpl] -->
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
  <style>
      
   TABLE.maintable { 
      border: 3px solid gray; 
      vertical-align: top;
      background: white;
      }
      
   TABLE.page { 
      border: none; 
      vertical-align: top; 
      background: white;
      }
      
   TD.pagemenuleft { 
      border-top: 1px solid gray; 
      background: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      }

   TD.pagemenuright { 
      border-top: 1px solid gray; 
      background: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      }

   TD.pagenumberleft { 
      border-top: 1px solid gray; 
      background: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      }

   TD.pagenumberright { 
      border-top: 1px solid gray; 
      background: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      }

   
   TH.pagehead { 
      border: none;
      background: #ffffff; 
      vertical-align: top;
      }
   
   TD.pagenumber {
      border: none;
      background: #ff9219;
      text-align: <#IsRTL true="left" false="right">;
   }
      
   FONT.pagehead {
      font-family: Tahoma; 
      font-weight: bolder; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: top;
      }
   
   BODY {
      background: #EFEDED;
      width: 100%;
      height: 100%;
      overflow: hidden;
      }
   @media print {
   .HiddenFromPrint { visibility: hidden;}
   }
    
  </style>
  <#PortalScript>

  <script type="text/javascript">
  function bIsBookletView()
  {
    return true;
  }

  function OpenInformationView(vsURL, vsObjectId, vbDoNotRecurseIntoOpener)
  {
    location = vsURL;
  }

  function totalPages()
  {
    if ('<#nr_pages>' == '<' + '#nr_pages>')
    {
        return -1;
    }
    else
    {
        return '<#nr_pages>';
    }
  }

  function PopPrintView(viMode,voCallerWinObj, viFrameNum)
  {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter(ACT_PARAM_TEMPLATE, "<#previewtemplate>", sURL);
    sURL = sSetParameter("MODE", "2", sURL);
    sURL = sSetParameter(ACT_PARAM_SESSION_ID, "<#SessionId>", sURL);
    OpenBrowser(sURL, "_blank", 1024, 768);
  }

  function OnLogout()
  {
    var sLogoutViewURL = "<#LogoutURL>";  
    document.location.href = sLogoutViewURL;
  }
  </script>
  </head>
<body rightmargin=0 leftmargin=0 topmargin=0>
<table height="100%" width="100%" cellpadding="2" cellspacing="0" class="maintable">
 <tr>
  <td colspan=2 height="96%" width="46%" border="2">
    <iframe name="frame1" frameborder="0" width="100%" height="100%" scrolling="auto" src="<#PageFileLocation>empty.html"></iframe>
<script type="text/javascript">
  var sUrl = PrepareCustomizableUrl(sAddSessionIfNeeded("<#page enc="script" index="1">"), true);
  OpenViewDirectly(sUrl, 'frame1');
</script>
  </td>
  <td rowspan=2 height="98%" width="44" border="2">
    <table height="100%"><tr><td width="44" height="100%" background="<#ImageFileLocation>middle.gif"></td></tr></table>
  </td>  
  <td colspan=2 height="96%" width="45%" border="2" align="<#IsRTL true="left" false="right">">
    <iframe name="frame2" frameborder="0" width="100%" height="100%" scrolling="auto" src="<#PageFileLocation>empty.html"></iframe>
<script type="text/javascript">
  var sUrl = PrepareCustomizableUrl(sAddSessionIfNeeded("<#page enc="script" index="2">"), true);
  OpenViewDirectly(sUrl, 'frame2');
</script>
   </td>  
 </tr>
 <tr class="HiddenFromPrint">
  <td colspan=1 height="10" border="2" class="pagenumberleft">
    &nbsp;
    <#nr_firstpage>
    <script>
      if ("<#nr_firstpage>" == "<" + "#nr_firstpage>") {
         document.write("&nbsp;|&nbsp;");
         document.write("<#LocalizedText id="Bookmark">");
      }
      else {
        document.write("&nbsp;|&nbsp;");
        document.write("<a href=\"javascript:OpenWindow('<#AddBookmarkURL>', '_blank', 580, <#IsAdmin true="350" false="260">, 0)\" style=\"color: #35506f; text-decoration: none;\"><#LocalizedText id="Bookmark"></a>");
        document.write("<a href='javascript:PopPrintView(2,0);' style=\"color: #35506f; text-decoration: none;\">&nbsp;|&nbsp;<#TxtPrintView></a>");
      }
      function OnLogout()
      {
        var sLogoutViewURL = "<#LogoutURL>";  
        document.location.href = sLogoutViewURL;
      }
    </script>
  </td>
  <td colspan=1 height="10" border="2" class="pagemenuright" align="<#IsRTL true="left" false="right">">
    <#IsFirstPage true="<!--"><a href="<#prevpage>" style="color: #35506f; text-decoration: none;"><#IsFirstPage true="-->">
    <#LocalizedText id="Previous"> <img src="<#ImageFileLocation>arrow_<#IsRTL true="right" false="left">.gif" border="0"/> 
    <#IsFirstPage true="<!--"></a><#IsFirstPage true="-->">
    <a href="<#page_view number="1">" style="color: #35506f; text-decoration: none;">
    <#LocalizedText id="Home"> 
    </a>
    <#IsLastPage true="<!--"><a href="<#nextpage>" style="color: #35506f; text-decoration: none;"><#IsLastPage true="-->"> 
    <img src="<#ImageFileLocation>arrow_<#IsRTL true="left" false="right">.gif" border="0"/> <#LocalizedText id="Next"> &nbsp;
    <#IsLastPage true="<!--"></a><#IsLastPage true="-->"> 
  </td>  
  <td colspan=1 height="10" border="2" class="pagemenuleft">
    <#IsFirstPage true="<!--"><a href="<#prevpage>" style="color: #35506f; text-decoration: none;"><#IsFirstPage true="-->">
    &nbsp; <#LocalizedText id="Previous"> <img src="<#ImageFileLocation>arrow_<#IsRTL true="right" false="left">.gif" border="0"/> 
    <#IsFirstPage true="<!--"></a><#IsFirstPage true="-->">
    <a href="<#page_view number="1">" style="color: #35506f; text-decoration: none;" target="_top">
    <#LocalizedText id="Home"> 
    </a>
    <#IsLastPage true="<!--"><a href="<#nextpage>" style="color: #35506f; text-decoration: none;"><#IsLastPage true="-->"> 
    <img src="<#ImageFileLocation>arrow_<#IsRTL true="left" false="right">.gif" border="0"/> <#LocalizedText id="Next">
    <#IsLastPage true="<!--"></a><#IsLastPage true="-->"> 
  </td>
  <td colspan=1 style="height:26px" border="2" class="pagenumberright" align="<#IsRTL true="left" false="right">">
    <script>
     if ("<#nr_firstpage>" == "<" + "#nr_firstpage>") {
       document.write("<#LocalizedText id="Bookmark">");
       document.write("&nbsp;|&nbsp;");
       document.write('<#nr_firstpage>&nbsp;+&nbsp;1');
     }
     else {
       document.write("<a href='javascript:PopPrintView(2,0);' style=\"color: #35506f; text-decoration: none;\"><#TxtPrintView>&nbsp;|&nbsp;</a>");
       document.write("<a href=\"javascript:OpenWindow('<#AddBookmarkURL>', '_blank', 580, <#IsAdmin true="350" false="260">, 0)\" style=\"color: #35506f; text-decoration: none;\"><#LocalizedText id="Bookmark"></a>");
       document.write("&nbsp;|&nbsp;");
       document.write("<a href=\"javascript:OnLogout();\" style=\" color: #35506f; text-decoration: none;\"><#LocalizedText id="Logout"></a>");
       document.write("&nbsp;|&nbsp;");
       var sTmp = "<#nr_firstpage>";
       var pageNumber = parseInt(sTmp) + 1;
       document.write(pageNumber);
     }
    </script>
    &nbsp;
  </td>
 </tr>
</table>
</body>
</html>
       
<!-- [QPRTemplateEnd: Basic_Booklet_Two_Page.tpl] -->
