<!DOCTYPE html>
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
  <style>
    TABLE.toc { }
    TD.toc {
      border-bottom: 2px dotted gray;
    }

    TABLE.pagehead { 
      border: none;
      vertical-align: top; 
    }

    TD.pagehead {
      vertical-align: top;
      border-top: 10px double #ff9219;
      height: 5px;
      vertical-align: top;
      text-align: <#IsRTL true="left" false="right">;
      font-size: 7pt;
    }

    TH.pagehead { 
      border: none;
      background: #ffffff; 
      text-align: left; 
      vertical-align: top;
      color: #35506f;
      font-size: 10pt;
    }

    BODY {
      font-family: Tahoma;
      font-size: 8pt;
    }

    A {
      color: Blue;
      text-decoration: none;
    }

    A:hover {
      color : Blue;
      text-decoration: underline;
    }
  </style>
  </head>
  <body>
    <table valign="top" border="0" width="98%" cellspacing="0" cellpadding="0">
      <tr><td valign="top">
        <table valign="top"width="100%" cellspacing="0" cellpadding="0" class="pagehead">
          <tr><th valign="top" class="pagehead"><#name></th></tr>
          <tr><td class="pagehead">&nbsp;</td></tr>
        </table>
      </td>
      </tr>
      <tr>
        <td valign="top"><b><font color="#35506f"><#page_title></font></b></td>
      </tr>
      <tr>
        <td><br/></td>
      </tr>
      <tr>
        <td>
          <table width="100%" cellspacing="0" cellpadding="0" class="toc">
            <#toc template="Basic_Page_Table_of_Contents_row.tpl">
          </table>
        </td>
      </tr>
    </table>
  </body>
</html>
