<!DOCTYPE html>
<!-- [QPRTemplateStart: objectselection.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow(400,460);
    </script>
  </head>

  <body class="PopupView" onLoad="javascript: OnLoad();" style="margin-top: 0px">
    <form name="formobjectselection" action="#" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1 id="hViewTitle">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
            <tr>
              <td style="width: 100%">
              <select name="lstAvailableObjects" size="16" multiple style="width: 100%">
              </select>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" name="btnHelp" value="<#LocalizedText id="Help">" onclick="javascript: OnHelp();">
        <input class="ButtonRight" type="button" name="btnCancel" value="<#LocalizedText id="Cancel">" onclick="javascript: OnCancel();">
        <input id="inputSelectButton" class="ButtonRight" type="button" name="btnSelect" value="<#LocalizedText id="Sele2ct">" onclick="javascript: OnOk();">
      </div>
    </form>

<script type="text/javascript">
var _oInitializationData;

function OnLoad()
{
  var arOptions = document.formobjectselection.lstAvailableObjects.options;
  var sCallback = sGetParameter("INITCB", sGetDocumentLocation());
  if (!sCallback) 
    sCallback = "oGetObjectSelectionInitializationData";
  _oInitializationData = eval("window.opener." + sCallback + "()");
  for (var i = 0; i < _oInitializationData.parObjects.length; ++i) {
    var oObject = _oInitializationData.parObjects[i];
    arOptions[arOptions.length] = new Option(oObject.psName, i, oObject.pbSelected, oObject.pbSelected);
  }

  if (_oInitializationData.psViewTitle)
    $("#hViewTitle").text(sDecodeURI(_oInitializationData.psViewTitle));
  
  if (_oInitializationData.psSelectButtonLabel)
    $("#inputSelectButton").val(_oInitializationData.psSelectButtonLabel);

  InitializeResizeHandlerForPopup(window);
}

function OnOk()
{
  if (bHasValidOpener(window)) {
    var arOptions = document.formobjectselection.lstAvailableObjects.options;
    var arValues = new Array();
    var j = 0;
    for (var i = 0; i < arOptions.length; ++i) {
      if (arOptions[i].selected)
        arValues[j++] = _oInitializationData.parObjects[arOptions[i].value];
    }

    if (_oInitializationData.OnOk)
      _oInitializationData.OnOk(arValues);
    window.opener.focus();
  }
  window.close(); 
}

function OnCancel()
{
  if (bHasValidOpener(window)) {
    window.opener.focus();
  }
  window.close(); 
}

function OnHelp()
{
  if (bHasValidOpener(window)) {
    window.opener.OnObjectSelectionHelp();
  }
}

</script>
  
  </body>
</html>
<!-- [QPRTemplateEnd: objectselection.tpl] -->
