<!DOCTYPE html>
<!-- [QPRTemplateStart: customhierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript" src="<#PGScriptFileLocation>customhierarchytreeview.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>navigatortreeview.js"></script> 
<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">

<script type="text/javascript">
  var _sDefaultQueryFields = "<#ViewSettingFields view='PGPLUGIN_navigator' default='hierarchy,type,actionheaders,addaction' convert='1'>";

  function sGetTableHeaderExtraInfo()  { return ""; }

  function sGetLocalToolbarHTML()
  {
    var sResult = sGetDesignerButtonHTML() + sGetExpandCollapseButtonHTML();
    return sResult;
  }

  AddAutoFilterParameter(ACT_PARAM_HIERARCHY_EXPAND_ALL);

  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive1.value = 'PL';
    oRecursive2.value = 'II';

    document.write('<#LocalizedText id="Drill through diagrams">');
  }  
 
  function sGetExtraParametersForDynamicTreeExpansion(vsURL)
  {
    var sHierarchy = sGetParameter(ACT_PARAM_ELEMENT_HIERARCHY_ID, sGetDocumentLocation());
    if (sHierarchy)
      return sSetParameter(sHierarchy, ACT_PARAM_ELEMENT_HIERARCHY_ID, vsURL);

    return vsURL;
  }

</script>
  </head>
  
  <body id="body" onLoad="OnLoadExEx()" onUnload="OnUnload()" onResize="OnResize()" style="overflow: hidden">
<table width="100%"><tr><td> <!-- Table to group header and content together -->
<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  InitializeEditMode();
  InitializeHierarchy(false, true);

  // NB. _sDefaultQueryFields must have same fields defintion as is below

  <#Hierarchy roottag="1" dynamic="3" skiplevels="2" first="0" maxcount="200" where='' hierarchy="customhierarchy" fields="<#ViewSettingFields view='PGPLUGIN_navigator' default='hierarchy,type,actionheaders,addaction' convert='1'>" sort="hierarchyindex" configuration="customhierarchyfields.ini">

  document.write(WriteTreeDiv());
</script>
        </td>
      </tr>
    </table>
    </form>
</td></tr></table>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 200, true));

  function OnAfterTreeUpdate()
  {
	$(window).trigger("resize");
  }

  $(window).resize(SetupFixedHeaderTable).trigger("resize");
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: customhierarchytreeview.tpl] -->
