<!DOCTYPE html>
<!-- [QPRTemplateStart: externalmodeldet.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<#stylesheet>

<script src="<#pgpluginjscriptfile>"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script language="JavaScript" type="text/javascript">

// Header toolbar
function sGetProcessBrowserItem()
{
	sUrl = "";
	sItemText = "";
	bOpenInNew = false;
	iLevelId = 0;
	<#Tool_OpenInProcessBrowserParams>

  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#ImageFileLocation>icn_flowchart.gif", "", iLevelId);
  }
}


function sGetResourcesItem()
{
	return sPGProcessInformationViewLink("<#Tool_ResourcesUrl>","<#Tool_HResources>");
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem() + sGetResourcesItem();
}


// Footer toolbar
function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?detailview.htm";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
}
</script>


</head>
<body onload="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description_simple.tpl">

    <div class="PropertyListTable DetailsPaneExclude">
      <table cellspacing="0" cellpadding="0">
        <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
          <#LocalizedText id="Information">
        </caption>

    		<tr style="<#IsSectionVisible id="Name" false="display: none">">
    			<th class="Vertical"><#HName></th>
    			<td><#Name></td>
    		</tr>

    		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
    			<th class="Vertical"><#LocalizedText id="Symbol"></th>
    			<td><#Symbol></td>
    		</tr>
    		
        <tr style="<#IsSectionVisible id="ProcessStepType" false="display: none">">
    			<th class="Vertical"><#HProcessStepType></th>
    			<td><#ProcessStepType></td>
    		</tr>
    
    		<tr id="ProcessLevels" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ProcessLevel" false="display: none">" <#Valign id="PsLevel">>
    			<th class="Vertical"><#LocalizedText id="Diagrams"></th>
    			<td><#ProcessLevels></td>
    		</tr>
    
    		<tr id="ExternalModelLocation" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ExtModelLocation" false="display: none">">
    			<th class="Vertical"><#LocalizedText id="External Model Location"></th>
    			<td><#ExtModelLocation></td>
    		</tr>
    
    		<tr id="ExternalModelUrl" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ExtModelURL" false="display: none">">
    			<th class="Vertical"><#LocalizedText id="External Model URL"></th>
    			<td><#ExtModelURL></td>
    		</tr>

    		<tr style="<#IsSectionVisible id="Owner" false="display: none">">
    			<th class="Vertical"><#HOwner></th>
    			<td><#Owner></td>
    		</tr>
      </table>

      <table id="OrganizationUnits" style="<#IsSectionVisible id="OrganisationUnit" false="display: none">" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <tr>
    			<th class="Vertical"><#HOrganisationUnits></th>
    			<td>
    				<table border="0" width="100%" cellpadding="0" cellspacing="0">
    					<#OrganisationUnits template="">
    					<!--cell template sample is tablerow_singlecell.tpl-->
    				</table>
    			</td>
    		</tr>
    	</table>
    </div>
	
<#BeginSection id="Flows">
<#Include template="pg_detailsview_flows.tpl">
<#EndSection>

<#BeginSection id="Notes">
<#Include template="pg_detailsview_notes.tpl">
<#EndSection>

<#BeginSection id="Resources">
<#Include template="pg_detailsview_resources.tpl">
<#EndSection>

<#BeginSection id="InformationItems">
<#Include template="pg_detailsview_informationitems.tpl">
<#EndSection>

<#Include template="pg_detailsview_custom_attributes.tpl">
  </div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: externalmodeldet.tpl] -->
