<!-- [QPRTemplateStart: jsobjectquerypgutils.tpl] -->
<script type="text/javascript">
  var _sModelIdParameter = "MODELID";
  var _iModelId = iExtractModelId(_sRoot);
  var _iProcessLevelId = iExtractObjectId(_sRoot);
  var _sViewParameterPrefix = "";

  function OnLoadEx()
  {
    OnLoad();
    if (typeof(OnObjectQueryViewLoaded) != "undefined")
      OnObjectQueryViewLoaded();
  }

  function OnModelSelectionClosed(vsModelId)
  {
    var oHeaderView = oGetHeaderView();
    if (oHeaderView)
    {
      var sParams = oHeaderView.sGetHierarchyParameters();
      sParams = sSetParameter("MODELID", vsModelId, sParams);
      oHeaderView.UpdateHierarchyParameters(sParams);
    }
  }
  
  function OpenModelSelection()
  {
    OpenWindow('<#ModelSelectionViewURL>','SettingsWindow',400,300,1);
  }
  
  function OpenModelProperties()
  {
    OpenInformationView('<#Model attribute="PropertiesViewURL">');
  }

  function iGetModelId()
  {
    var iResult = _iModelId;
    var sModelId = sGetParameter("MODELID", sGetDocumentLocation());
    if (!sModelId) 
      sModelId = sGetParameter(ACT_PARAM_MODEL, sGetDocumentLocation());
    if (!sModelId)
      sModelId = "<#Model attribute="id">";
    if (!iResult)
      iResult = parseInt(sModelId);
    return iResult;
  }

  function iGetSecondaryModelId()
  {
    return "<#Model attribute="rootmodelid">";
  }
  
  function UpdateModelId(vsParams)
  {
    var iModelId = iGetModelId();
    if (iModelId)
      return sSetParameterEx("MODELID", iModelId, vsParams);
    else
      return sRemoveParameter("MODELID", vsParams);
  }

  function AddNoAccessHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, "<#LocalizedText id="No access">", "", "", "PGPLUGINHierarchyRowNoLink", "", vbOpen, "", vbHasDynamicChildren);
  }
  
  function arGetModelVersionOptionsInternal()
  {
    var sModelVersionCaption = "<#LocalizedText id="Show actions linked to:">";
    var sModelVersionOptions = sDecodeURI("<#ModelVersionOptions>");
    if (sModelVersionOptions) {
      // Model version options string is a list of options separated by commas ","
      // Each option consists of name and value, separated by semicolons ";"
      var arOptions = sModelVersionOptions.split(",");
      for (var i = 0; i < arOptions.length; ++i) {
        var arSingleOption = sDecodeURI(arOptions[i]).split(";");
        arOptions[i] = Object();
        arOptions[i].sName = sDecodeURI(arSingleOption[0]);
        arOptions[i].sValue = sDecodeURI(arSingleOption[1]);
      }
      // push the caption as the last item in the result array
      arOptions.push(sModelVersionCaption);
      return arOptions;
    }
  }
  
  
  function sGetHierarchyLabel()
  {
    var sResult = "<#Object attribute="name" enc="html">";
    if ("<#Object attribute="usesversionmanagement" true="1" false="0">" === "1")
      sResult += " - " + "<#Object attribute="version">";
    return sResult;
  }
  
  function sGetHierarchyPropertiesURL()
  {
    return "<#Object attribute="detailsurl" enc="html">";
  }

  function sGetHierarchyToolbarHTML()
  {
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Select Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()", "<#PortalImageFileLocation>icon_select_model.gif");
  }
</script>
<!-- [QPRTemplateEnd: jsobjectquerypgutils.tpl] -->
