<!DOCTYPE html>
<!-- [QPRTemplateStart: listwindow.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">

<#Tool_InitializeFilters>

function sGetSubFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HSubFilter>", "<#Tool_SubFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetPStepFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HPStepFilter>", "<#Tool_PStepFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetFlowFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HFlowFilter>", "<#Tool_FlowFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetStoreFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HStoreFilter>", "<#Tool_StoreFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetLocalToolbarHTML()
{
	return sGetSubFilterItem() + sGetPStepFilterItem() + sGetFlowFilterItem() + sGetStoreFilterItem();
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtons();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?pg_elementlistview.htm";
}

</script>
</head>

<body onload="UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption class="FirstTable">
        <#listwindowtitle>
      </caption>

      <#listwindowrows template="">
			<!--cell template sample is table_singlecell.tpl-->
		</table>
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: listwindow.tpl] -->
