<!DOCTYPE html>
<!-- [QPRTemplateStart: organizationunitshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";

  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }
  
  function OpenOrganizationUnitLink(vsId)
  {
    var oHeaderView = oGetHeaderView();
    var sURL = sGetBaseURL(sGetPlugin(), "20");
    sURL = sSetParameter("MODELID", _iModelId, sURL);
    sURL = sSetParameter("OBJECTID", sExtractObjectId(vsId), sURL);
    sURL = sSetParameter("SUMMARY", "1", sURL);
    OpenInformationView(sURL, vsId);

    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>" + vsIconURL, "javascript:OpenOrganizationUnitLink('" + vsId + "');", "PGPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="organizationunits" SetVisible="<#URLParameter id="OID">" ConfigurationFile="hierarchyfields.ini">
    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: organizationunitshierarchytreeview.tpl] -->
