<!DOCTYPE html>
<!-- [QPRTemplateStart: brokenbookmarkview.tpl] -->
<html>

  <head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <#stylesheet>
  </head>

  <body class="MessageView" onLoad="<#OnLoad>">
    <div id="PropertyListWrapper" class="PropertyList">
      <table>
        <caption>
          <#Error>
        </caption>
        <tr>
          <td align="center">
            <table>
              <tr>
                <td class="ErrorMessage"><#TheViewIsUnavailable></td>
              </tr>
              <tr>
                <td align="<#IsRTL true="left" false="right">">
<#IsAdmin false="<!--">
<#RemoveLinkSectionBegin>
                      <input id="button1" type="button" value="<#RemoveLink>" name="button1" onClick="deleteBookmark()">
<#RemoveLinkSectionEnd>
<#IsAdmin false="-->">
                  <#BackButton>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </div>

<script type="text/javascript">
  function removeBookmarkEventHandler(result, data)
  { 
    var oMainView = oGetMainView();
    if (result == "OK") {
      alert("<#Success>");	
      if (oMainView && (typeof (oMainView.refreshBookmarks) !== "undefined")) 
        oMainView.refreshBookmarks();
    }
    else
    {
      if (result == "NOT_EXISTS") 
      {
        alert("<#NotExists>");
        if (oMainView && (typeof (oMainView.refreshBookmarks) !== "undefined")) 
          oMainView.refreshBookmarks();
      }
      else 
        alert("<#NotSuccess>");
    }
  }

  function deleteBookmark()
  {
    CallServerFunction("<#RemoveLinkURL>", removeBookmarkEventHandler);
  }
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: brokenbookmarkview.tpl] -->
