<!DOCTYPE html>
<!-- [QPRTemplateStart: userselectionview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>
  </head>
    <script type="text/javascript">
    ResizePopupWindow(700, 490);
	
    var iOldWindowWidth;		
		
    function OnResizeWindow() {
      var iNewWindowWidth = document.body.offsetWidth;
      var iDelta = iNewWindowWidth - iOldWindowWidth;
      iOldWindowWidth = iNewWindowWidth;
      if (iDelta < 0) {
        var iNewUsersWidth = (parseInt(document.userselection.lstUsers.offsetWidth) + iDelta);
        var iNewSelectedUsersWidth = (parseInt(document.userselection.lstSelectedUsers.offsetWidth) + iDelta);
        if (iNewUsersWidth < 250)
          iNewUsersWidth = 250;
        if (iNewSelectedUsersWidth < 250)
          iNewSelectedUsersWidth = 250;

        document.userselection.lstUsers.style.width = iNewUsersWidth + 'px';
        document.userselection.lstSelectedUsers.style.width = iNewSelectedUsersWidth + 'px';
        InitializeList(ENT_Users);
        InitializeList(ENT_SelectedUsers);
        InitializeList(ENT_UsersInGroups_Users);
      }

      document.userselection.lstUsers.style.width = '100%';
      document.userselection.lstSelectedUsers.style.width = '100%';
      InitializeList(ENT_Users);
      InitializeList(ENT_SelectedUsers);
      InitializeList(ENT_UsersInGroups_Users);
    }
		
    function OnLoad()
    {
      Initialize();    
      InitializeResizeHandlerForPopup(window);
      window.onresize = OnResizeWindow;
      iOldWindowWidth = document.body.offsetWidth;
      OnResizeWindow();			
    }
    </script>

  <body class="PopupView" onLoad="OnLoad()" style="height: 100%;">
    <form name="userselection" action="" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1>
          <#LocalizedText id="Select Users">
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td valign="top">
              <div class="PropertyFormGroupWrapper">
                <table id="grpPool" class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Users and groups">
                  </caption>
                  <tr>
                    <td width="80" nowrap>
                      <#LocalizedText id="Show">:
                    </td>
                    <td width="100%">
                      <select name="lstSearchType" size="1" style="width:100%" onChange="ChangeSearchType(); UpdateControlEnabledStates()">
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="80" nowrap>
                      <#LocalizedText id="Users in group">:
                    </td>
                    <td width="100%">
                      <select name="lstUsersInGroups_Users" size="1" style="width:100%" onChange="ChangeSearchType(); UpdateControlEnabledStates()">
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="80" nowrap>
                      <#LocalizedText id="Search">:
                    </td>
                    <td width="100%">
                      <input type="text" name="tbSearchUsers_Users" maxlength="255" style="width:100%" value="">
                    </td>
                  </tr>
                  <tr>
                    <td>
                    </td>
                    <td>
                      <input class="Button" type="button" name="btSearch_Users" onClick="OnSearch(ENT_Users)" value="<#LocalizedText id="Search">">
                      <input class="Button" type="button" name="btReset_Users" onClick="OnResetPoolSearch()" value="<#LocalizedText id="Reset">">
                    </td>
                  </tr>
                  <tr style="height: 100%;">
                    <td width="100%" colspan="2">
                      <select id="lstUsers" name="lstUsers" style="height: 100%;" onchange="UpdateControlEnabledStates()" <#AllowMultiSelect true="multiple"> size="9" onDblClick="OnSelect();">
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="100%" nowrap colspan="2">
                      <#LocalizedText id="* = Selected">
                      <div id="divResultsNumbers" class="FooterResultsBar" />
                    </td>
                  </tr>
                  <tr>
                    <td width="100%" colspan="2">
                      <input style="float: <#IsRTL true="right" false="left">;" class="Button" type="button" onClick="OnPrev()" name="btPrev" value="&lt; <#LocalizedText id="Previous">">
                      <input style="float: <#IsRTL true="left" false="right">;" class="Button" type="button" onClick="OnNext()" name="btNext" value="<#LocalizedText id="Next"> &gt;">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            <td class="StaticButtonColumn" style="vertical-align: center; width: 1%;">
              <input type="button" name="btSelect_Users" value="&gt;" onclick="OnSelect()">
              <input type="button" name="btSelectAll_Users" value="&gt;&gt;" onclick="OnSelectAll()">
              <br />
              <input type="button" name="btRemove_Users" value="&lt;" onclick="OnRemove()">
              <input type="button" name="btRemoveAll_Users" value="&lt;&lt;" onclick="OnRemoveAll()">
            </td>
            <td valign="top">
              <div class="PropertyFormGroupWrapper">
                <table id="grpSelected" class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Selected users and groups">
                  </caption>
                  <tr>  
                    <td width="80" nowrap>
                      <#LocalizedText id="Show">:
                    </td>
                    <td width="100%">
                      <select name="lstUsersInGroups_SelectedUsers" size="1" style="width:100%" onChange="UpdateSelectedList(); UpdateControlEnabledStates();">
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="80" nowrap>
                      &nbsp;
                    </td>
                    <td width="100%">
                      <select size="1" style="width:100%; visibility: hidden;">
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="80" nowrap>
                      <#LocalizedText id="Search">:
                    </td>
                    <td width="100%">
                      <input type="text" name="tbSearchUsers_SelectedUser" value="" maxlength="255" style="width:100%">
                    </td>
                  </tr>
                  <tr>
                    <td>
                    </td>
                    <td>
                      <input class="Button" type="button" name="btSearch_SelectedUsers" onClick="UpdateSelectedList();" value="<#LocalizedText id="Search">" />
                      <input class="Button" type="button" name="btReset_SelectedUsers" onClick="OnResetSelectedSearch();" value="<#LocalizedText id="Reset">" />
                    </td>
                  </tr>
                  <tr style="height: 100%;">
                    <td width="100%" colspan="2">
                      <select id="lstSelectedUsers" name="lstSelectedUsers" style="height: 100%;" onchange="UpdateControlEnabledStates()" <#AllowMultiSelect true="multiple"> size="13" onDblClick="OnRemove();">
                      </select>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </div>
      <div id="DetailsFooter">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Help">" onclick="OpenHelpView()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Cancel">" onclick="parent.window.close()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="OK">" onclick="OnClose()">
      </div>
    </form>
  </body>
<script>

// The number of the results which are shown at one time.
var _iMaxResults = 500;
// 

var _sGroupText = ' ' + '<' + sDecodeURI("<#LocalizedTextMessage id="group">") + '>';
var _sSelectedText = ' ' + '*';
var _sForcedText = '';
var _sSearchType = '<#DefaultSearchType>';
var _sSearchGroup = '';
var _sSearchText = '';
var _iResultsTotal = 0;
var _iFirstIndex = 1;
var _iProductID = '<#ProductType>';

var ENT_Users = 0;
var ENT_SelectedUsers = 1;
var ENT_UsersInGroups_Users = 2;

var _sViewType = '<#ViewType>'; 
//var _bReadOnlyMode = false; <#ReadOnlyMode true="_bReadOnlyMode = true;" false="_bReadOnlyMode = false;">
var _bAllowMultiSelect = true; <#AllowMultiSelect true="_bAllowMultiSelect = true;" false="_bAllowMultiSelect = false;">
var _sDefaultSearchType = '<#DefaultSearchType>';
var _sSelectedUsers = '<#SelectedUsers>';
if (_sSelectedUsers == 'undefined') _sSelectedUsers = '';
var _sForcedUsers = '<#ForcedUsers>';
if (_sForcedUsers == 'undefined') _sForcedUsers = '';

var uarUsers = new Array();
uarUsers[ENT_Users] = new Array();
uarUsers[ENT_SelectedUsers] = new Array();
uarUsers[ENT_UsersInGroups_Users] = new Array();

var uarSelects = new Array();

function FObjNewUser()
{
  var oUser = new Object();
  oUser.sLabel = sDecodeURI(sReadText());
  oUser.iUserId = parseInt(sReadText());
  oUser.bGroup = sReadText();
  oUser.bSelected = sReadText();
  oUser.bForced = sReadText();
	ReadSeparator();
  return oUser;
}

function UpdateGroupsList(arNewGroups) 
{
  uarAllGroups = arNewGroups;
  var oSelect = uarSelects[ENT_UsersInGroups_Users];

  if (oSelect != null) {
    var iPos = 0;
    oSelect.options.length = iPos;

    // default values
    oSelect.options[iPos++] = new Option('<' + '<#LocalizedText id="Any group">' + '>', ENT_ShowAllGroups, false, false);

    if (uarAllGroups != null) {
      for (var i = 0; i < uarAllGroups.length; ++i) {
        if (uarAllGroups[i] != null && uarAllGroups[i].sLabel != null && uarAllGroups[i].iUserId != null)
          oSelect.options[iPos++] = new Option(sDecodeURI(uarAllGroups[i].sLabel), uarAllGroups[i].iUserId);
      }
    }
  }
}

function UpdateSearchUsersListBox() 
{
  var oList = document.userselection.lstSearchType.options;
  var oSelectedList = document.userselection.lstUsersInGroups_SelectedUsers.options;

  oList.length = 0;
  oSelectedList.length = 0;
 
  if ('<#ViewType>' == ACT_PARAM_VIEWTYPE_BOTH) {
    oList[oList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Users and groups">"), ACT_PARAM_USV_SEARCHTYPE_BOTH, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_BOTH, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_BOTH);
    oSelectedList[oSelectedList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Users and groups">"), ACT_PARAM_USV_SEARCHTYPE_BOTH);
  }

  if ('<#ViewType>' == ACT_PARAM_VIEWTYPE_BOTH || '<#ViewType>' == ACT_PARAM_VIEWTYPE_ONLYUSERS) {
    oList[oList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Users only">"), ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS);
    oSelectedList[oSelectedList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Users only">"), ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS);
  }
  if ('<#ViewType>' == ACT_PARAM_VIEWTYPE_BOTH || '<#ViewType>' == ACT_PARAM_VIEWTYPE_ONLYGROUPS) {
    oList[oList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Groups only">"), ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS, '<#DefaultSearchType>' == ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS);
    oSelectedList[oSelectedList.length] = new Option(sDecodeURI("<#LocalizedTextMessage id="Groups only">"), ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS);
  }
}

function SetResultsCountText(vsFirstIndex, vsLastIndex, vsTotal) 
{
  if (vsFirstIndex < 0) vsFirstIndex = 0;
  if (vsLastIndex < 0) vsLastIndex = 0;
  if (vsTotal < 0) vsTotal = 0;

  _iResultsTotal = vsTotal;
  
  var sResultsCount = sDecodeURI("<#LocalizedText enc="js" id="Results: $0 - $1 of $2">");

  sResultsCount = sSetParametersIntoTranslatedStr(sResultsCount, '$', [vsFirstIndex,vsLastIndex,vsTotal]);

  SetResultsText(sResultsCount);
}

function SetResultsText(vsText) 
{
  var mylayer;

  if (document.layers) {
    mylayer=document.layers['divResultsNumbers'];
    mylayer.document.open();
    mylayer.document.write(vsText);
    mylayer.document.close();
  }
  else if (document.all) {
    mylayer=document.all['divResultsNumbers'];
    mylayer.innerHTML = vsText;
  }
  else if (document.getElementById)
  {
    mylayer = document.getElementById('divResultsNumbers');
    mylayer.innerHTML = "";
    mylayer.innerHTML = vsText;
  }
}

function Initialize()
{
  UpdateSearchUsersListBox();

  uarSelects[ENT_Users] = document.userselection.lstUsers;
  uarSelects[ENT_SelectedUsers] = document.userselection.lstSelectedUsers;
  uarSelects[ENT_UsersInGroups_Users] = document.userselection.lstUsersInGroups_Users;

  InitializeFromWAS();
}

function OnSearch(viType) 
{
  if (viType == ENT_Users) {
    var tbSearchUsers_Users = document.userselection.tbSearchUsers_Users;
    var lstShow_Users = document.userselection.lstSearchType.options;
    var lstUsersInGroups_Users = document.userselection.lstUsersInGroups_Users.options;

    _sSearchType = lstShow_Users[lstShow_Users.selectedIndex].value;

    if ((_sSearchType != ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS) && (lstUsersInGroups_Users.selectedIndex > -1))
      _sSearchGroup = lstUsersInGroups_Users[lstUsersInGroups_Users.selectedIndex].value;
    else
      _sSearchGroup = '';

    _sSearchText = tbSearchUsers_Users.value;
    _iFirstIndex = 1;
        
    SearchFromWAS();
  }
}

function OnNext() 
{
  _iFirstIndex += _iMaxResults;
  SearchFromWAS();
}

function OnPrev() 
{
  _iFirstIndex -= _iMaxResults;
  SearchFromWAS();
}

function InitializeFromWAS() 
{
  GetUserDataFromWAS(ACT_PARAM_USV_GETTYPE_INIT, _sDefaultSearchType, '', '', 1, _iMaxResults, InitializeFromWASEventHandler, _sSelectedUsers);
}

function SearchFromWAS() 
{
  GetUserDataFromWAS(ACT_PARAM_USV_GETTYPE_SEARCH, _sSearchType, _sSearchGroup, _sSearchText, _iFirstIndex, _iMaxResults, SearchFromWASEventHandler, GenerateSelectedUsersString());
}

function GetUserDataFromWAS(vsGetType, vsSearchType, vsSearchGroup, vsSearchText, viFirstItemIndex, viItemsCount, voEventHandler, vsSelectedUsers) 
{
  SetResultsText('<#LocalizedText id="Loading">...');
  var sURL = '<#GetUserDataURL>';
  sURL = sSetParameter(ACT_PARAM_USV_GETTYPE, sEncodeURI(vsGetType), sURL);
  if (vsSearchType != '') sURL = sSetParameter(ACT_PARAM_USV_SEARCHTYPE, sEncodeURI(vsSearchType), sURL);
  if (_sSelectedUsers != '') sURL = sSetParameter(ACT_PARAM_SELECTION, sEncodeURI(_sSelectedUsers), sURL);
  if (_sForcedUsers != '') sURL = sSetParameter(ACT_PARAM_FORCED_SELECTION, sEncodeURI(_sForcedUsers), sURL);
  if (vsSearchGroup != '') sURL = sSetParameter(ACT_PARAM_USV_SEARCHGROUP, sEncodeURI(vsSearchGroup), sURL);
  if (vsSearchText != '') sURL = sSetParameter(ACT_PARAM_USV_SEARCHTEXT, sEncodeURI(vsSearchText), sURL);
  if (viFirstItemIndex != '') sURL = sSetParameter(ACT_PARAM_USV_FIRSTITEMINDEX, viFirstItemIndex, sURL);
  if (viItemsCount != '') sURL = sSetParameter(ACT_PARAM_USV_ITEMSCOUNT, viItemsCount, sURL);
  if (_iProductID != '') sURL = sSetParameter(ACT_PARAM_USV_PRODUCT_TYPE, _iProductID, sURL);
  CallServerFunction(sURL, voEventHandler);
}

function SearchFromWASEventHandler(result, data) 
{
  if (!(result == "OK") && (data.length > 0))
  {
    window.alert(data);
  }
  else {
    _sActionData = data;
    _iIndex = 0;

    if (!bCheckVersion()) return;
    ReadSeparator();

    var i;
    var iDataCount

    // Objects
    adtObjects = new Array();
    var iFirstObjectIndex = parseInt(sReadText());
    iDataCount = parseInt(sReadText());
    for (i=0; i < iDataCount; ++i)
    	adtObjects[i] = FObjNewUser();

    var iTotalObjectsCount = parseInt(sReadText());
    uarUsers[ENT_Users]= adtObjects;
    InitializeList(ENT_Users);

    SetResultsCountText(iFirstObjectIndex, iFirstObjectIndex+iDataCount-1, iTotalObjectsCount);

    UpdateControlEnabledStates();
  }
}

function InitializeFromWASEventHandler(result, data) 
{
  if (!(result == "OK") && (data.length > 0))
  {
    window.alert(data);
  }
  else {
    _sActionData = data;
    _iIndex = 0;

    if (!bCheckVersion()) return;
    ReadSeparator();

    var i;
    var iDataCount

    // ShowGroups
    adtShowGroups = new Array();
    iDataCount = parseInt(sReadText());

    for (i=0; i < iDataCount; ++i)
      adtShowGroups[i] = FObjNewUser();

    uarUsers[ENT_UsersInGroups_Users] = adtShowGroups;
    InitializeList(ENT_UsersInGroups_Users);

    // SelectedObjects
    adtSelectedObjects = new Array();
    iDataCount = parseInt(sReadText());

    for (i=0; i < iDataCount; ++i)
      adtSelectedObjects[i] = FObjNewUser();

    uarUsers[ENT_SelectedUsers] = adtSelectedObjects;
    InitializeList(ENT_SelectedUsers);

    // Objects
    adtObjects = new Array();
    var iFirstObjectIndex = parseInt(sReadText());
    iDataCount = parseInt(sReadText());

    for (i=0; i < iDataCount; ++i)
      adtObjects[i] = FObjNewUser();

    var iTotalObjectsCount = parseInt(sReadText());
    uarUsers[ENT_Users] = adtObjects;
    InitializeList(ENT_Users);

    SetResultsCountText(iFirstObjectIndex, iFirstObjectIndex+iDataCount-1, iTotalObjectsCount);

    UpdateControlEnabledStates();
  }
}

function UpdateControlEnabledStates() 
{
  var i;
  var lstUsers = uarSelects[ENT_Users];
  var btSelect_Users = document.userselection.btSelect_Users;
  var btSelectAll_Users = document.userselection.btSelectAll_Users;
  var iUsers_ItemsCount = lstUsers.options.length;
      
  var lstSelectedUsers = uarSelects[ENT_SelectedUsers];
  var btRemove_Users = document.userselection.btRemove_Users;
  var btRemoveAll_Users = document.userselection.btRemoveAll_Users;
  var iSelectedUsers_ItemsCount = lstSelectedUsers.options.length;

  var lstSearchUsers = document.userselection.lstSearchType;
  var ilstSearchUsers_ItemsCount = document.userselection.lstSearchType.options.length;
  var lstUsersInGroups = document.userselection.lstUsersInGroups_Users;

  var lstUsersInGroups_SelUsers = document.userselection.lstUsersInGroups_SelectedUsers;
  var ilstUsersInGroups_SelUsers_ItemsCount = lstUsersInGroups_SelUsers.options.length;

  var btPrev = document.userselection.btPrev;
  var btNext = document.userselection.btNext;

  var iUsers_SelectedItemsCount = 0;
  if (lstUsers.selectedIndex >= 0) {
    for (i = lstUsers.selectedIndex; i < iUsers_ItemsCount; ++i)  // only 2 selected items is needed
      if (lstUsers.options[i].selected && (++iUsers_SelectedItemsCount >= 2)) 
        break;
  }
  var iSelectedUsers_SelectedItemsCount = 0;
  if (lstSelectedUsers.selectedIndex >= 0) {
    for (i = lstSelectedUsers.selectedIndex; i < iSelectedUsers_ItemsCount; ++i)  // only 2 selected items is needed
      if (lstSelectedUsers.options[i].selected && ++iSelectedUsers_SelectedItemsCount >= 2) break;
  }

  // Select&SelectAll buttons
  if ((iUsers_ItemsCount > 0) && 
      (_bAllowMultiSelect || (!_bAllowMultiSelect && iSelectedUsers_ItemsCount == 0))) {
    if ((!_bAllowMultiSelect && iUsers_SelectedItemsCount > 1) || iUsers_SelectedItemsCount == 0)
      btSelect_Users.disabled=true;
    else
      btSelect_Users.disabled=false;

    if (_bAllowMultiSelect)
      btSelectAll_Users.disabled=false;
    else
      btSelectAll_Users.disabled=true;
  }
  else {
    if(iUsers_ItemsCount)
      btSelect_Users.disabled=false;
    else
      btSelect_Users.disabled=true;
    btSelectAll_Users.disabled=true;
    if(lstUsers.selectedIndex == -1) { btSelect_Users.disabled=true; }
  }
  
  // Remove&RemoveAll buttons
  if (iSelectedUsers_ItemsCount > 0) {
    if (iSelectedUsers_SelectedItemsCount > 0)
      btRemove_Users.disabled=false;
    else
      btRemove_Users.disabled=true;
    
    if (_bAllowMultiSelect)
      btRemoveAll_Users.disabled=false;
    else
      btRemoveAll_Users.disabled=true;
  }
  else {
    btRemove_Users.disabled=true;
    btRemoveAll_Users.disabled=true;
  }

  if (_iResultsTotal > 0 && _iFirstIndex > 1)
    btPrev.disabled=false;
  else
    btPrev.disabled=true;

  if (_iResultsTotal > 0 && _iResultsTotal - _iFirstIndex - _iMaxResults > 0)
    btNext.disabled=false;
  else
    btNext.disabled=true;

  if (lstSearchUsers.options[lstSearchUsers.selectedIndex].value == ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS)
    lstUsersInGroups.disabled=true;
  else
    lstUsersInGroups.disabled=false;

  if ((lstSearchUsers.options[lstSearchUsers.selectedIndex].value == ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS) && ilstSearchUsers_ItemsCount == 1)
    lstSearchUsers.disabled=true;

  if ((lstUsersInGroups_SelUsers.options[lstUsersInGroups_SelUsers.selectedIndex].value == ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS) && ilstUsersInGroups_SelUsers_ItemsCount == 1)
    lstUsersInGroups_SelUsers.disabled=true;
}

function oGetUser(voList, viUserId)
{
  var oUser;

  for (var i = 0; i < voList.length; ++i) {
    oUser = voList[i];
    if (oUser && oUser.iUserId == viUserId) 
      return oUser;
  }

  return null;
}

function iGetUserIndex(voList, viUserId)
{
  var i, oUser;

  for (i = 0; i < voList.length; ++i) {
    oUser = voList[i];
    if (oUser && oUser.iUserId == viUserId) 
      return i;
  }

  return null;
}

function sGetLabelText(viType, voUser, viMaxCharCount)
{
  var sResult = voUser.sLabel;
  var sMarks;

  if ((voUser.bGroup == '1') && ((viType == ENT_Users) || (viType == ENT_SelectedUsers))) 
    sMarks = _sGroupText;
  else
    sMarks = '';
  if ((viType == ENT_Users) && ((voUser.bSelected == '1') || (voUser.bForced == '1')))
    sMarks += _sSelectedText;
  if (voUser.bForced == '1') 
    sMarks += _sForcedText;
  if (viType == ENT_UsersInGroups_Users) {
    if (viMaxCharCount)
      return sAutoCutString(sEncodeURI(sResult), viMaxCharCount - 15 - sMarks.length, true) + sMarks;
    else
      return sAutoCutString(sEncodeURI(sResult), 20 - sMarks.length, true) + sMarks;
  } else {
    if (viMaxCharCount)
      return sAutoCutString(sEncodeURI(sResult), viMaxCharCount - sMarks.length, true) + sMarks;
    else
      return sAutoCutString(sEncodeURI(sResult), 35 - sMarks.length, true) + sMarks;
  }
}

function bIsShownSelectedUser(voUser, vsSelectionType, vsSearchText)
{
  if (!vsSelectionType) {
    var oSelectionType = document.userselection.lstUsersInGroups_SelectedUsers.options;
    vsSelectionType = oSelectionType[oSelectionType.selectedIndex].value;
  }
  if (!vsSearchText) {
    vsSearchText = document.userselection.tbSearchUsers_SelectedUser.value.toLowerCase();
  }

  return ((vsSelectionType == ACT_PARAM_USV_SEARCHTYPE_BOTH) ||
          ((vsSelectionType == ACT_PARAM_USV_SEARCHTYPE_ONLYUSERS) && (voUser.bGroup == '0')) ||
          ((vsSelectionType == ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS) && (voUser.bGroup == '1'))) 
         &&
          ((vsSearchText.length == 0) || 
           (voUser.sLabel.toLowerCase().indexOf(vsSearchText) != -1));
}

function UpdateSelectedList()
{
  UpdateControlEnabledStates();
  InitializeList(ENT_Users);
  InitializeList(ENT_SelectedUsers);
}

function InitializeList(viType)
{
  var arUsers = uarUsers[viType];
  var oSelect = uarSelects[viType];
  var iOldSelectedIndex;
  var iMaxCharCount;

  if (viType == ENT_SelectedUsers) {
    iMaxCharCount = Math.round(document.userselection.lstSelectedUsers.offsetWidth  / (parseInt(sGetFontSize('lstSelectedUsers')) / 2)) - 10;
  } else if (viType == ENT_UsersInGroups_Users) {
    iOldSelectedIndex = oSelect.selectedIndex;
    iMaxCharCount = Math.round(document.userselection.lstUsers.offsetWidth  / (parseInt(sGetFontSize('lstUsers')) / 2)) - 10;
  } else {
    iMaxCharCount = Math.round(document.userselection.lstUsers.offsetWidth  / (parseInt(sGetFontSize('lstUsers')) / 2)) - 10;
  }

  if (oSelect != null) {
    var oSelectionType = document.userselection.lstUsersInGroups_SelectedUsers.options;
    var sSelectionType = oSelectionType[oSelectionType.selectedIndex].value;
    var sSearchText = document.userselection.tbSearchUsers_SelectedUser.value.toLowerCase();

    var i=0, ii=0, oUser;

    oSelect.options.length=0;
    
    for (i = 0; i < arUsers.length; ++i) {
      oUser = arUsers[i];
      if ((viType != ENT_SelectedUsers) || ((viType == ENT_SelectedUsers) && (bIsShownSelectedUser(oUser, sSelectionType, sSearchText))))
        oSelect.options[oSelect.options.length] = new Option(sGetLabelText(viType, oUser, iMaxCharCount), oUser.iUserId);
    }

    if (iOldSelectedIndex && iOldSelectedIndex > -1)
      oSelect.selectedIndex = iOldSelectedIndex;
  }
}

function OnResetSelectedSearch()
{
  document.userselection.tbSearchUsers_SelectedUser.value = '';
  UpdateSelectedList();
}

function OnResetPoolSearch()
{
  document.userselection.tbSearchUsers_Users.value = '';
  OnSearch(ENT_Users);
}

function  UpdatePoolItem(voSelectOption, voUser)
{
  voSelectOption.text = sGetLabelText(ENT_Users, voUser);
}

function OnSelect() 
{
  var oList = uarSelects[ENT_Users];
  var oUsers =  uarUsers[ENT_Users];

  var iUserId, oUser;

  if (!_bAllowMultiSelect) {
    OnRemoveAll();
  }

  if (oList.options.selectedIndex >= 0) {
    for (var i = oList.options.selectedIndex; i < oList.options.length; ++i) {
      if (oList.options[i].selected) {
        oList.options[i].selected = false;
        iUserId = oList.options[i].value;
        oUser = oUsers[i];

        if (oGetUser(uarUsers[ENT_SelectedUsers], iUserId)) // user is selected
          continue
        else
          oUser.bSelected = '1';

        AddSelectedUser(oUser);

        UpdatePoolItem(oList.options[i], oUser);
      }
    }
   UpdateSelectedList(); 	
  }

  UpdateControlEnabledStates();
}

function AddSelectedUser(voUser)
{
  var oSelectedList = uarSelects[ENT_SelectedUsers];
  var oSelectedUsers =  uarUsers[ENT_SelectedUsers];
  var oUser;

  for (var i = 0; i < oSelectedUsers.length; ++i) {
    oUser = oSelectedUsers[i];
    if (oUser.sLabel > voUser.sLabel) break;
  }
  
  oSelectedUsers.splice(i, 0, voUser);

}

function OnRemove() 
{
  var oList = uarSelects[ENT_Users];
  var oUsers = uarUsers[ENT_Users];
  var oSelectedList = uarSelects[ENT_SelectedUsers];
  var oSelectedUsers = uarUsers[ENT_SelectedUsers];

  var iUserId, oUser, i, ii, iTargetUserIndex;

  if (oSelectedList.options.selectedIndex >= 0) {
    for (i = oSelectedList.options.length-1; i >= oSelectedList.options.selectedIndex; --i) {
      if (oSelectedList.options.selectedIndex == -1) break;

      if (oSelectedList.options[i].selected) {
        oSelectedList.options[i].selected = false;
        iUserId = oSelectedList.options[i].value;
        oUser = oGetUser(uarUsers[ENT_SelectedUsers], iUserId);
        
        if (oUser) {
          if (oUser.bForced == '1') {
            alert(oUser.sLabel + " " + sDecodeURI("<#LocalizedTextMessage id="cannot be removed.">"));
            continue;
          }

          iTargetUserIndex = iGetUserIndex(uarUsers[ENT_Users], iUserId);
          if (iTargetUserIndex != null) {
            oUser.bSelected = '0';
            UpdatePoolItem(oList.options[iTargetUserIndex], oUser);
          }

          oSelectedList.options[i] = null;
          oSelectedUsers.splice(iGetUserIndex(uarUsers[ENT_SelectedUsers], iUserId), 1);
        }
      }
    }
  }	
  InitializeList(ENT_Users);
  InitializeList(ENT_SelectedUsers);
  UpdateControlEnabledStates();
}

function OnSelectAll()
{
  var oList = uarSelects[ENT_Users];

  var i;
  for (i = 0; i < oList.options.length; ++i)
    oList.options[i].selected = true;

  if (oList.options.length > 0)
    OnSelect();
}

function OnRemoveAll()
{
  var oUsers = uarUsers[ENT_Users];
  var oSelectedUsers = uarUsers[ENT_SelectedUsers];
  var oList = uarSelects[ENT_Users];
  var oSelectedList = uarSelects[ENT_SelectedUsers];
  var oUser, i;

  if (oSelectedList.options.length > 0) {
    for (i = 0; i < oSelectedList.options.length; ++i)
      oSelectedList.options[i].selected = true;
    OnRemove();
  }

  for (i = 0; i < oUsers.length; ++i) {
    oUser = oUsers[i];
        
    if ((oUser) && (oUser.bSelected) && (!bIsShownSelectedUser(oUser))) {
      if (oUser.bForced == '1') {
        alert(oUser.sLabel + " " + sDecodeURI("<#LocalizedTextMessage id="cannot be removed.">"));
        continue;
      }

      oUser.bSelected = '0';
      UpdatePoolItem(oList.options[i], oUser);
      oSelectedUsers.splice(iGetUserIndex(oSelectedUsers, oUser.iUserId), 1);
    }
  }
}

function GenerateSelectedUsersString() 
{
  var sResult = '';
  var i, t, oUser, arUsers;
  arUsers = uarUsers[ENT_SelectedUsers];

  if (arUsers != null) {
    for (t = 0; t < arUsers.length; ++t) {
      oUser = arUsers[t];
	    if (oUser) {
          if (sResult.length > 0) sResult += ',';
          sResult += oUser.iUserId;
	    }
    }
  }
  return sResult;
}

function OnClose()
{
  if (uarUsers[ENT_SelectedUsers].length > <#MaxNumberOfSelectedUsers>) {
    var sMsg = sDecodeURI("<#LocalizedTextMessage id="The number of selected users and user groups exceeds the maximum allowed, which is total of $0 users and user groups!">");
    sMsg = sSetParametersIntoTranslatedStr(sMsg, '$', [<#MaxNumberOfSelectedUsers>]);

    alert(sMsg);
    return;
  }

  var iCType = <#CallbackType>;
  var iItemsCount = 0;

  if (iCType == 0) {
    var Result = '';
    var t, oUser, arUsers;
    arUsers = uarUsers[ENT_SelectedUsers];

    if (arUsers != null) {
      for (t = 0; t < arUsers.length; ++t) {
        oUser = arUsers[t];
        if (oUser) {
          if (Result.length > 0) Result += ',';
          Result += oUser.iUserId;
          iItemsCount++;
        }
      }
    }
  }
  else {
    var Result = new Array();
    var i, t, oUser, arUsers, iItemsCount=0;
    arUsers = uarUsers[ENT_SelectedUsers];

    if (arUsers != null) {
      for (t = 0; t < arUsers.length; ++t) {
        oUser = arUsers[t];
        if (oUser) {
          Result.push(oUser);
	        iItemsCount++;
        }
      }
    }
  }

  if (!_bAllowMultiSelect && iItemsCount > 1) {
    alert(sDecodeURI("<#LocalizedTextMessage id="Only one user or group can be selected!">"));
  }
  else {
    if (bHasValidOpener(parent.window) && parent.window.opener.<#CallbackFunction>) 
      parent.window.opener.<#CallbackFunction>(Result);
	  parent.window.opener.focus();
    parent.window.close();
  }
}

function ChangeSearchType()
{
  var lstSearchType = document.userselection.lstSearchType.options;
  var lstUsersInGroups = document.userselection.lstUsersInGroups_Users.options;
  _sSearchType = lstSearchType[lstSearchType.selectedIndex].value;
  if ((_sSearchType != ACT_PARAM_USV_SEARCHTYPE_ONLYGROUPS) && (lstUsersInGroups.selectedIndex > -1))
    _sSearchGroup = lstUsersInGroups[lstUsersInGroups.selectedIndex].value;
  else
    _sSearchGroup = '';
  _iFirstIndex = 1;
  SearchFromWAS();
}

function OpenHelpView()
{
  OpenHelpWindow(sDecodeURI('<#HelpURL>')+'?userselection.htm');
}

function OnResize()
{
  var sHeight = $(window).height() - $("#PopupHeader").height() - $("#DetailsFooter").height() - 100;
  $("#grpPool").height(sHeight);
  $("#grpSelected").height(sHeight);
}

$(window).bind("resize", OnResize).trigger("resize");

</script>

</html>
<!-- [QPRTemplateEnd: userselectionview.tpl] -->
