<!DOCTYPE html>
<!-- [QPRTemplateStart: measurehierarchytreeview.tpl] -->
<html>
  <head>
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <title><#Title notags="1"></title>
    <#stylesheet>
    <script type="text/javascript" src="<#SCScriptFileLocation>measurehierarchytreeview.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>navigatortreeview.js"></script> 
<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jsobjectqueryscutils.tpl">

    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.form.js"></script>

<script type="text/javascript">
<#Include template="sc_jsviewutils.tpl">

  function OnSubmitEditedValues()
  {
    SubmitMeasureValues();
  }

  function sGetHeaderViewRightHTML()
  {
    return "<#LocalizedText id="Period:">&nbsp;<a href='javascript:oGetInformationViewFrame().OpenPeriodSelectionViewFromToolbar()'><#PeriodName></a>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="Series:">&nbsp;<a href='javascript:oGetInformationViewFrame().OpenSeriesSelectionViewFromToolbar()'><#SeriesName></a>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
  }

  function sGetLocalToolbarHTML()
  {
    return (_bEditingValues ? "" : (sGetDesignerButtonHTML() +
                                    sGetPeriodToolbarButtonHTML(true) +
                                    sGetSeriesToolbarButtonHTML(true))) +      
      (<#HasRightstoEditValues true="true" false="false"> ? sGetEditSubmitButtonHTML() : "") +
      sGetExpandCollapseButtonHTML();
  }

  function sGetTableHeaderExtraInfo()
  {
    return "<span class='NormalText'><#LocalizedText id="Period:">&nbsp;<#PeriodName>&nbsp;&nbsp;&nbsp;<#LocalizedText id="Series:">&nbsp;<#SeriesName></span>";
  }

  AddAutoFilterParameter(ACT_PARAM_HIERARCHY_EXPAND_ALL);

  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive1.value = '0';
    oRecursive2.value = '0';
    document.write('<#LocalizedText id="Drill through scorecards">');
  }
   
</script>
  </head>
  
  <body id="body" onLoad="OnLoadExEx()" onUnload="OnUnload()" onResize="OnResize()" style="overflow: hidden">
<table style="width:100%"><tr><td> <!-- Table to group header and content together -->
<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  InitializeEditMode();
  InitializeHierarchy(false, true);

  <#Hierarchy roottag="1" dynamic="3" first="0" maxcount="200" where='' hierarchy="measures" fields="hierarchy,prettyvalueandperiod,rangecolor,trendicon,actionheaders,addaction" sort="default" configuration="measurehierarchyfields.ini">

  document.write(WriteTreeDiv());
</script>
        </td>
      </tr>
    </table>
    </form>
</td></tr></table>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 200, true));

  function OnAfterTreeUpdate()
  {
    if ("<#SettingValue section="SCP Settings" key="EnableHyperLinksForTextValues">" === "1")
      AddHyperlinks(document, false);

    $(window).trigger("resize");
  }

  $(window).resize(SetupFixedHeaderTable).trigger("resize");
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: measurehierarchytreeview.tpl] -->
