<!DOCTYPE html>
<!-- [QPRTemplateStart: navigatorhierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryscutils.tpl">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";
  
  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }

  function OpenScorecardLink(vsId)
  {
    var sURL = sSetParameter(ACT_PARAM_TEMPLATE, "measurehierarchyview.tpl", "<#TableViewURL plugin="SCPLUGIN">");
    sURL = sSetParameter(ACT_PARAM_QUERY_HIERARCHY_SHORT, "measures", sURL);
    if ( _bOpeningDefaultView )
      sURL = sAddRequestIDToURL(sURL, true);
    OpenHierarchyLink(vsId, sURL);
    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>scn_bu.gif", "javascript:OpenScorecardLink('" + vsId + "');", "SCPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
  
  _sViewParameterPrefix = "SCNA_";
</script>  
  </head>
  <body id="body" class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="scorecards" SetVisible="<#URLParameter id="OID">" ConfigurationFile="hierarchyfields.ini">
    SetModelIdFromHierarchy(PR_SC, _iModelId);
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: navigatorhierarchytreeview.tpl] -->
