<!-- [QPRTemplateStart: powerpointscorecardexporter.tpl] -->

<#Include template="powerpointgraphexporter.tpl">

<script type="text/javascript">

function PowerPointExport(voCallback, voErrorCallback, vsSlideshowId, vsTemplateId, voOptions)
{
  var sURL = sGetDocumentLocation(),
      sModel = sGetModelId('scorecards', ACT_PARAM_MODEL),
      sObject = '<#Object.Id>',
      sExportedId = 'SC.' + sModel + '.' + sObject,
      sURL = sGetDocumentLocation(),
      sPeriod,
      sSeries,
      sViewSettings,
      sOptions = '';

  if (_sPowerPointGraphType == 'scorecardgraph')
  {
    sPeriod = '<#ExportPeriodId>';
    sSeries = sExtractObjectId(sGetParameter('PAT', sURL));
    sViewSettings = sGetParameter('LAY', sURL);
  }
  else
  {
    sPeriod = sExtractObjectId(sGetParameter('<#UsedPeriod>', sURL));
    sSeries = sExtractObjectId(sGetParameter('<#UsedSeries>', sURL));
    sViewSettings = sGetParameter('VIE', sURL);
  }

  sOptions +=
    (sPeriod ? 'period=' + sPeriod + ',' : '') +
    (sSeries ? 'series=' + sSeries + ',' : '') +
    (sViewSettings ? 'viewsettings=' + sViewSettings + ',' : '');

  sOptions += 'graphtype=';
  switch (_sPowerPointGraphType)
  {
    case 'scorecard':      sOptions += 'scorecardview';   break;
    case 'scorecardgraph': sOptions += 'graph';           break;
    case 'strategymap':    sOptions += 'strategymapview'; break;
  }

  PowerPointGraphExporter(voCallback, voErrorCallback, vsSlideshowId, vsTemplateId, sExportedId, _sPowerPointGraphType, sOptions).Process();
}

function oPowerPointSettings()
{
  return {};
}

</script>

<!-- [QPRTemplateEnd: powerpointscorecardexporter.tpl] -->
